View Issue Details

IDProjectCategoryLast Update
0023348AI War 2[All Projects] Crash/ExceptionJul 1, 2020 1:34 pm
ReporterBadgerBadgerAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product VersionBeta 2.088 Banishment of Undead AIs 
Fixed in VersionBeta 2.089 Fireteam Declarations Of Victory Before Showing Up 
Summary0023348: Problem with GetRandomRowWithTag
DescriptionHey Chris, this is a weird one reported by zeus. It looks like GetRandomRowWithTag is failing for not obvious reason for DLC content.

ArcenDebugLog.txt
Error:GetRandomRowWithTag called with 'ArchitraveTierZeroWithSpire' but none of those exist!
6/30/2020 6:00:52 PM Hit exception in ProduceRegularShips debugCode 420 System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.SpecialFaction_ZenithArchitrave.ProduceRegularShips (Arcen.AIW2.Core.Faction faction, System.Int32 maxAllowedStrength, Arcen.AIW2.Core.ArcenSimContext Context) [0x000f3] in <0cfd3d7503444f5b8c357e44ff8d3b17>:0
6/30/2020 6:01:34 PM

Here's the code

                        GameEntityTypeData entityData = null;
                        if ( faction.HasObtainedSpireDebris && Context.RandomToUse.Next(0, 100) < percentSpireShip )
                                                                                                                                                                  
                            entityData = GameEntityTypeDataTable.Instance.GetRandomRowWithTag( Context, data.TagForShipsIncludingSpire ); <==== this returned null, but shouldn't have
                        else
                            entityData = GameEntityTypeDataTable.Instance.GetRandomRowWithTag( Context, data.TagForShips );
                        debugCode = 420;
                        if ( GlobalData.MetalReserves < entityData.CostForAIToPurchase ) <==== null pointer dereference

Here's the tag defined in the XML:
ZO_ZenithArchitrave.xml

    <entity name="ArchitraveCrupellariiSpire"
            tags="ZenithArchitrave,ArchitraveTierZeroWithSpire"
TagsNo tags attached.

Relationships

related to 0023339 resolvedx4000Bughunter Mousing over certain units that aren't mine drops an exception 

Activities

BadgerBadger

Jun 30, 2020 9:31 pm

manager   ~0057476

You can find a save to reproduce the problem here: https://discord.com/channels/240637654717300736/698572497171251200/727690664997027890

x4000Bughunter

Jul 1, 2020 10:57 am

administrator   ~0057484

I can indeed duplicate it with that save, thanks!

x4000Bughunter

Jul 1, 2020 11:59 am

administrator   ~0057485

Added the following to try to catch it.

* Added a new setting in the debug section: Dump All Entity Tag Data
** When the program is loaded, or after the xml files are reloaded into the in-memory data tables, write EntityTagDataDumps.txt in the PlayerData folder.
** The purpose of this is to figure out what might be wrong if you are getting unexpected results as you mod things with tags.

And got the attached perplexing results.

ArchitraveCrupellariiSpire is not being read in at all, although the entities all around it in the same file are!

EntityTagDataDumps.txt (79,084 bytes)
Tag Data On Entities
=====================================
SpecialForcesSecretNinjaHideout Tags: [SpecialForcesSecretNinjaHideout], [ShowsOnNormalDisplayMode]
Parasite Tags: [None!]
ShieldGuardPost Tags: [None!]
TritiumSniperFrigate Tags: [None!]
Mercenary Beacon Tags: [MercBeacon], [ShowsOnNormalDisplayMode]
WarpingInScourgeFortress Tags: [WarpingInScourgeFortress]
DZTransport Tags: [DZTransport]
AstroTrainDepot Tags: [AstroTrainDepot], [ShowsOnNormalDisplayMode]
RiskAnalyzer Tags: [RiskAnalyzer], [Capturable], [ShowsOnNormalDisplayMode]
AstroTrainStation Tags: [AstroTrainStation], [ShowsOnNormalDisplayMode]
SpireFrigate Tags: [SpireFrigate]
AstroTrainCarrierStyle Tags: [AstroTrain], [AstroTrainLow], [ShowsOnNormalDisplayMode]
DZPrivateer Tags: [DZPrivateer]
DataCenter Tags: [DataCenter], [ProgressReducer], [DestroyToReduceProgress]
AstroTrainTankStyle Tags: [AstroTrain], [AstroTrainLow], [ShowsOnNormalDisplayMode]
MercFlagship Tags: [MercFlagship]
FortifiedDataCenter Tags: [FortifiedDataCenter], [ProgressReducer], [DestroyToReduceProgress]
DZHarvester Tags: [DZHarvester]
DZDregil Tags: [DZTierZeroBase]
SpireDestroyer Tags: [SpireDestroyer]
DZSkald Tags: [DZTierZeroBase]
MercFlagship_Distractor Tags: [WardenDistractor]
Fenrir Tags: [DireGuardian], [Fenrir]
MajorDataCenter Tags: [MajorDataCenter], [Capturable], [ProgressReducer], [HoldToReduceProgressLoseToRaiseProgress], [GeneratesBonusHunterShips]
WarbirdFrigate Tags: [None!]
Coprocessor Tags: [Coprocessor], [ProgressReducer], [DestroyToReduceProgress]
StealthGuardPost Tags: [None!]
DZHertogi Tags: [DZTierZeroBase]
SuperTerminal Tags: [SuperTerminal], [ProgressReducer], [HackToReduceProgress]
CommunicationNode Tags: [CivilWarTrigger], [ProgressReducer], [DestroyToReduceProgress]
SpireCruiser Tags: [SpireCruiser]
PikeTurret Tags: [None!]
DireSabotGuardPost Tags: [None!]
IonCannon Tags: [IonCannon], [NormalPlanetNastyPick], [BigGunNastyPick], [WildCardNastyPick], [AIZenithPurchase], [IsPossibleSabotageTarget]
DZHuskarl Tags: [DZTierZeroBase]
SpireBattleship Tags: [SpireBattleship]
PlasmaEye Tags: [Eye], [PlasmaEye], [NormalPlanetNastyPick], [EyeNastyPick], [AIZenithPurchase], [ShowsOnNormalDisplayMode], [IsPossibleSabotageTarget]
Reanimator Tags: [DireGuardian], [Reanimator]
NanobotCenter_Hive Tags: [NanobotCenter], [NanobotHive], [ShowsOnNormalDisplayMode], [GeneratesBonusHunterShips]
DireTeslaGuardPost Tags: [None!]
DZHeisir Tags: [DZTierOneBase]
OrbitalMassDriver Tags: [OrbitalMassDriver], [NormalPlanetNastyPick], [BigGunNastyPick], [WildCardNastyPick], [AIZenithPurchase], [IsPossibleSabotageTarget]
PlasmaAlertedEye Tags: [AlertedEye], [PlasmaAlertedEye], [ShowsOnNormalDisplayMode]
AstroTrainWithRegularWeapons Tags: [AstroTrain], [AstroTrainLow], [ShowsOnNormalDisplayMode]
SpireDreadnought Tags: [SpireDreadnought]
Umbra Tags: [DireGuardian], [Umbra]
DireHeavyBeamGuardPost Tags: [None!]
WarpingInNanobotCenter Tags: [WarpingInNanobotCenter]
TroopAccelerator Tags: [TroopAccelerator], [NormalPlanetNastyPick], [SupportStructureNastyPick], [WildCardNastyPick], [TurtleSpecialSpawn], [IsPossibleSabotageTarget]
DZDreng Tags: [DZTierOneBase]
SpireCityHub Tags: [SpireCity]
NanobotCenter Tags: [NanobotCenter], [GeneratesBonusHunterShips]
DireConcussionGuardPost Tags: [None!]
Shellshocker Tags: [DireGuardian], [Shellshocker]
TargetDrone Tags: [None!]
WarspiteArtillery Tags: [DireGuardian], [WarspiteArtillery]
BlackHoleMachine Tags: [BlackHoleMachine], [NormalPlanetNastyPick], [SupportStructureNastyPick], [OneWayDoormasterSpecialSpawn], [IsPossibleSabotageTarget]
ArmoredGolem Tags: [ShowsOnNormalDisplayMode], [Capturable]
DireParasiteGuardPost Tags: [None!]
Mutation Tags: [MarkBasedNanocaustShip]
Custodian Tags: [DireGuardian], [Custodian]
IonEye Tags: [Eye], [IonEye], [NormalPlanetNastyPick], [EyeNastyPick], [AIZenithPurchase], [ShowsOnNormalDisplayMode], [IsPossibleSabotageTarget]
Warspite Tags: [DireGuardian], [Warspite]
DistributionNode Tags: [DistributionNode], [ShowsOnNormalDisplayMode]
Anomaly Tags: [MarkBasedNanocaustShip]
GraviticBattlestation Tags: [DirectBuilder], [Capturable], [ShowsOnNormalDisplayMode]
IonAlertedEye Tags: [AlertedEye], [IonAlertedEye], [ShowsOnNormalDisplayMode]
AIArmoredGolem Tags: [AIGolem], [ExoLeader]
DireSpiderGuardPost Tags: [None!]
SpireArchive Tags: [SpireArchive], [ShowsOnNormalDisplayMode]
ChrisTestBase Tags: [None!]
Deviant Tags: [MarkBasedNanocaustShip]
AIFortress Tags: [Fortress], [AIFortress], [NormalPlanetNastyPick], [WildCardNastyPick], [AIZenithPurchase], [IsPossibleSabotageTarget]
ShieldwallBattlestation Tags: [DirectBuilder], [Capturable], [ShowsOnNormalDisplayMode]
DireNucleophilicGuardPost Tags: [None!]
ArtilleryGolem Tags: [ShowsOnNormalDisplayMode], [Capturable]
RevealerBattlestation Tags: [DirectBuilder], [Capturable], [ShowsOnNormalDisplayMode]
RorqualHegira Tags: [ShowsOnNormalDisplayMode], [Capturable]
EngineeringBattlestation Tags: [DirectBuilder], [Capturable], [ShowsOnNormalDisplayMode]
RaidEngine Tags: [RaidEngine], [NormalPlanetNastyPick], [SupportStructureNastyPick], [ShowsOnNormalDisplayMode], [IsPossibleSabotageTarget]
AIArtilleryGolem Tags: [AIGolem], [ExoLeader]
DireGravityGuardPost Tags: [None!]
ParasiteCitadel Tags: [DirectBuilder], [Capturable], [ShowsOnNormalDisplayMode]
Aberration Tags: [ScaryNanobot], [ScaryNanobotBasic]
AlarmPost Tags: [AlarmPost], [NormalPlanetNastyPick], [SupportStructureNastyPick], [ShowsOnNormalDisplayMode], [IsPossibleSabotageTarget]
Thanatos Tags: [ShowsOnNormalDisplayMode], [Capturable]
RegeneratorGolem Tags: [ShowsOnNormalDisplayMode], [Capturable]
InterceptorCitadel Tags: [DirectBuilder], [Capturable], [ShowsOnNormalDisplayMode]
DireShredderGuardPost Tags: [None!]
Abomination Tags: [ScaryNanobot], [ScaryNanobotBasic]
EnsnarerBattlestation Tags: [DirectBuilder], [Capturable], [ShowsOnNormalDisplayMode]
Gyrn Tags: [ShowsOnNormalDisplayMode], [Capturable]
AIRegeneratorGolem Tags: [AIGolem], [ExoLeader]
ImpactorCitadel Tags: [DirectBuilder], [Capturable], [ShowsOnNormalDisplayMode]
SpireGalacticCapitol Tags: [SpireCity]
DireTethuidaGuardPost Tags: [None!]
WarHarvester Tags: [WarHarvester], [HighHRFSpawn]
MetabolicCitadel Tags: [DirectBuilder], [Capturable], [ShowsOnNormalDisplayMode]
CursedGolem Tags: [ShowsOnNormalDisplayMode], [Capturable]
DZJarl Tags: [DZTierTwoBase]
WarpingInGuardPost Tags: [WarpingInGuardPost]
WarSieger Tags: [WarSieger], [HighHRFSpawn]
AgravicCitadel Tags: [DirectBuilder], [Capturable], [ShowsOnNormalDisplayMode]
DrainerCitadel Tags: [DirectBuilder], [Capturable], [ShowsOnNormalDisplayMode]
Orchid Tags: [ShowsOnNormalDisplayMode], [Capturable]
AICursedGolem Tags: [AIGolem], [ExoLeader]
Usurper Tags: [AIReclaimer]
DZMerkismathr Tags: [DZTierTwoBase]
AutomatedConstructionBot Tags: [AutomatedConstructionBot]
InhibitorCitadel Tags: [DirectBuilder], [Capturable], [ShowsOnNormalDisplayMode]
EmptySlotBase Tags: [None!]
ArkOne Tags: [ShowsOnNormalDisplayMode], [Capturable]
SpireShardReactor Tags: [SpireCityBuildMenu]
BotnetGolem Tags: [ShowsOnNormalDisplayMode], [Capturable]
MiniAutomatedConstructionBot Tags: [Automated Construction Swarm]
ExtragalacticMaugrim Tags: [ExtragalacticWar], [ExtragalacticWarTier1]
AmbushTurret Tags: [None!]
Magnifier Tags: [Magnifier], [NormalPlanetNastyPick], [SupportStructureNastyPick], [IsPossibleSabotageTarget]
ParalysisCitadel Tags: [DirectBuilder], [Capturable], [ShowsOnNormalDisplayMode]
Engineer Tags: [Engineer]
AIBotnetGolem Tags: [AIGolem], [ExoLeader]
MaugrimDrone Tags: [None!]
BellePrime Tags: [ShowsOnNormalDisplayMode], [Capturable]
SaboteurDrone Tags: [None!]
SpireShipyard Tags: [SpireCityBuildMenu]
DZCoerl Tags: [DZPirate]
GrenadeLauncherTurret Tags: [None!]
RejuvenatorCombatFactory Tags: [Capturable], [ShowsOnNormalDisplayMode]
CombatFactory Tags: [Capturable], [ShowsOnNormalDisplayMode]
ShredderDrone Tags: [None!]
BlackWidowGolem Tags: [ShowsOnNormalDisplayMode], [Capturable]
DecoyDrone Tags: [None!]
ScrapperCombatFactory Tags: [Capturable], [ShowsOnNormalDisplayMode]
GreatA’Thomek Tags: [ShowsOnNormalDisplayMode], [Capturable]
ExtragalacticPoltergeist Tags: [ExtragalacticWar], [ExtragalacticWarTier1]
NucleophilicTurret Tags: [None!]
SpireEngineeringCenter Tags: [SpireCityBuildMenu]
DZEinherjar Tags: [DZTierThreeBase]
TackleDrone Tags: [None!]
TethuidaDrone Tags: [None!]
OverloaderCombatFactory Tags: [Capturable], [ShowsOnNormalDisplayMode]
SpireLostFrigateLance Tags: [ShowsOnNormalDisplayMode], [Capturable]
ExtragalacticPhoenix Tags: [ExtragalacticWar], [ExtragalacticWarTier1]
NodorianTortoid Tags: [ShowsOnNormalDisplayMode], [Capturable]
DZUlfsark Tags: [DZTierThreeBase]
FortifiedTeslaTurret Tags: [None!]
AIBlackWidowGolem Tags: [AIGolem], [ExoLeader]
SpireFrigateNeuralNet Tags: [SpireCityBuildMenu]
Vanguard Tags: [LobarStrikecraft]
ScrapDrone Tags: [None!]
SolAter Tags: [ShowsOnNormalDisplayMode], [Capturable]
SpireLostFrigateLaser Tags: [ShowsOnNormalDisplayMode], [Capturable]
ExtragalacticAIHunterSeeker Tags: [ExtragalacticWar], [ExtragalacticWarTier1]
ConcussionTurret Tags: [None!]
DZTrelleborg Tags: [DZDefensiveStructure]
HiveGolem Tags: [ShowsOnNormalDisplayMode], [Capturable]
SpireDestroyerNeuralNet Tags: [SpireCityBuildMenu]
ReanimatorDrone Tags: [None!]
BackdoorCombatFactory Tags: [Capturable], [ShowsOnNormalDisplayMode]
SpireLostFrigateRailcannon Tags: [ShowsOnNormalDisplayMode], [Capturable]
AutocannonMinipod Tags: [None!]
GrandSalvage Tags: [ShowsOnNormalDisplayMode], [Capturable]
ExtragalacticWendigo Tags: [ExtragalacticWar], [ExtragalacticWarTier2]
AIHiveGolem Tags: [AIGolem], [ExoLeader]
MLRSTurret Tags: [None!]
DZAtgeir Tags: [DZDefensiveStructure]
FenrirDrone Tags: [None!]
SpireGreatShieldEmitter Tags: [SpireCityBuildMenu]
TransportFlagship_Base Tags: [ShowsOnNormalDisplayMode], [Capturable]
MakeshiftDrone Tags: [None!]
HiveDrone Tags: [None!]
InhibitingTeslaCorvette Tags: [None!]
PlasmaTurret Tags: [None!]
SpireLesserSpyCradle Tags: [SpireCityBuildMenu]
PenumbraDrone Tags: [None!]
DZSkeggox Tags: [DZDefensiveStructure]
TransportFlagship_SpecialShipBase Tags: [ShowsOnNormalDisplayMode], [Capturable]
TeslaTorpedoFrigate Tags: [None!]
TritiumSniperTurret Tags: [None!]
WendigoDrone Tags: [None!]
MinorFactionBeacon Tags: [MinorFactionBeacon]
EnergyCollector Tags: [EnergyCollector]
SpireGreaterSpyCradle Tags: [SpireCityBuildMenu]
DZIngelrii Tags: [DZDefensiveStructure]
Graphics_RallyFlag Tags: [None!]
NucleophilicGuardian Tags: [MedHRFSpawn]
GrenadeLauncherCorvette Tags: [None!]
DevourerGolem Tags: [Devourer], [ShowsOnNormalDisplayMode]
TeslaTorpedo Tags: [None!]
SpiderTurret Tags: [None!]
DysonSphereGolem Tags: [DysonSphere], [Capturable], [ShowsOnNormalDisplayMode], [HackForShipType]
DarkSpireVengeanceGenerator Tags: [DarkSpire], [HackForShipType], [VengeanceGeneratorNormalSpawn], [VengeanceGenerator], [ShowsOnNormalDisplayMode]
SpirePlasmaDriver Tags: [SpireCityBuildMenu]
MobileWormholeBorer Tags: [MobileWormholeBorer]
ExtragalacticWyrm Tags: [ExtragalacticWar], [ExtragalacticWarTier2]
ZenithTrader Tags: [ZenithTrader], [ShowsOnNormalDisplayMode]
TackleDroneLauncherFrigate Tags: [None!]
BeamCannon Tags: [None!]
DarkSpireVengeanceGeneratorLocus Tags: [DarkSpire], [VengeanceGeneratorLocus], [ShowsOnNormalDisplayMode]
AntagonizedDysonSphereGolem Tags: [AntagonizedDysonSphere], [Capturable], [ShowsOnNormalDisplayMode]
LesserSpireFortress Tags: [SpireCityBuildMenu]
WormholeBorer Tags: [WormholeBorer], [IsPossibleSabotageTarget]
RavenousShadow Tags: [RavenousShadow], [ShowsOnNormalDisplayMode]
ExtragalacticChimeraArtillery Tags: [ExtragalacticWar], [ExtragalacticWarTier2]
DarkSpireWard Tags: [DarkSpireWard]
DeathgripTackleDrone Tags: [None!]
LaserPulse_DeepBlue Tags: [None!]
PlayerDysonAntagonizer Tags: [PlayerDysonAntagonizer], [DysonAntagonizer], [ShowsOnNormalDisplayMode]
LaserPulse_SicklyGreen Tags: [None!]
NanocaustCurvedSicklyGreenShot Tags: [None!]
GreaterSpireFortress Tags: [SpireCityBuildMenu]
LaserPulse_Pink Tags: [None!]
VWing Tags: [None!]
DisabledNomadPlanetNexus Tags: [DisabledNomadNexus], [ShowsOnNormalDisplayMode]
LaserPulse_RedLevel1 Tags: [None!]
DarkSpireWraith Tags: [WeakDarkSpireSpawn], [DarkSpireHackable]
LaserPulse_RedLevel2 Tags: [None!]
ExtragalacticChimera Tags: [None!]
DysonAntagonizer Tags: [DysonAntagonizer], [ShowsOnNormalDisplayMode]
LaserPulse_RedLevel3 Tags: [None!]
PikeShot_Gold Tags: [None!]
MeleeInvisible Tags: [None!]
AgravicPod Tags: [None!]
HeavyBeamInvisible Tags: [None!]
AIDragon Tags: [AIDragon]
ExplosiveInvisible Tags: [None!]
LightningExplosionAOEShot Tags: [None!]
WarpingInDysonAntagonizer Tags: [WarpingInDysonAntagonizer], [ShowsOnNormalDisplayMode]
FusionBomber Tags: [None!]
StealthGuardian Tags: [None!]
LightningGuardianExplosionAOEShot Tags: [None!]
ExtragalacticAIHunterAnnihilator Tags: [ExtragalacticWar], [ExtragalacticWarTier3]
FlakShotAOEBurstAtEnd Tags: [None!]
DarkSpirePhantom Tags: [WeakDarkSpireSpawn], [DarkSpireHackable]
ArmorPiercingShell Tags: [None!]
Sabot Tags: [None!]
Ambush Tags: [None!]
DysonSentinel Tags: [DysonTierZero]
AblativeGatling Tags: [None!]
ZenithArchitravePortal Tags: [ZenithArchitravePortal], [ZenithArchitraveSpawner], [ShowsOnNormalDisplayMode]
SpireMacrophageHarvester Tags: [MacrophageHarvester], [SpireMacrophageHarvester]
TritiumSniperGuardian Tags: [None!]
ConcussionCorvette Tags: [None!]
DarkSpireSpecter Tags: [MediumDarkSpireSpawn]
ExtragalacticJackalope Tags: [ExtragalacticWar], [ExtragalacticWarTier3]
DysonDefender Tags: [DysonTierZero]
MLRSCorvette Tags: [XenophonStrikecraft]
PikeCorvette Tags: [None!]
DarkSpireEidolon Tags: [StrongDarkSpireSpawn]
ConcussionGuardian Tags: [MedHRFSpawn]
SpireMacrophageEnragedHarvester Tags: [MacrophageEnragedHarvester], [SpireMacrophageEnragedHarvester]
ZenithArchitraveSpawner Tags: [ZenithArchitraveSpawner], [ShowsOnNormalDisplayMode]
DysonBulwark Tags: [DysonTierOne]
SpireButtress Tags: [SpireCityBuildMenu], [InvulnerabilityGranter]
ExtragalacticThunderbird Tags: [ExtragalacticWar], [ExtragalacticWarTier3]
Raider Tags: [None!]
ElegantCurl Tags: [None!]
EnergyWave Tags: [None!]
EngineDisruptingShell Tags: [None!]
IntraGalacticCoordinator Tags: [IntraGalacticCoordinator], [Capturable]
ParalysisProngedShot_Blue Tags: [None!]
SpireTelium Tags: [SpireMacrophageTelium], [ShowsOnNormalDisplayMode]
DoubleShot_Blue Tags: [None!]
DoubleShot_Gold Tags: [None!]
SpiderGuardian Tags: [None!]
DoubleShot_Red Tags: [None!]
DysonBastion Tags: [DysonTierTwo]
DoubleShot_Green Tags: [None!]
Raptor Tags: [None!]
ExtremeLongRangeRailgun Tags: [None!]
WarpGate Tags: [WarpGate]
FusionBomb Tags: [None!]
ExtragalacticMothership Tags: [Mothership], [ExtragalacticWar], [ExtragalacticWarTier4]
Marauder_Spire_Raider Tags: [MarauderRaider]
Eyebot Tags: [None!]
InstigatorBase Tags: [InstigatorBase], [ShowsOnNormalDisplayMode]
SentinelGunboat Tags: [None!]
TachyonSentinel Tags: [None!]
ParalysisGuardian Tags: [None!]
ZenithArchitraveWarpPoint Tags: [ArchitraveWarpPoint]
LostEnergyReactor Tags: [MinorCapturable], [LostEnergyReactor], [Capturable]
ExtragalacticPlanetCracker Tags: [PlanetCracker], [ExtragalacticWar], [ExtragalacticWarTier4]
Stingray Tags: [None!]
ExogalacticWormhole Tags: [ExogalacticWormhole]
Sniper Tags: [None!]
Wormhole Tags: [None!]
TractorGuardian Tags: [None!]
AbandonedAsteroidMine Tags: [MinorCapturable], [AbandonedAsteroidMine], [Capturable]
SpireMiningFacility Tags: [SpireCityBuildMenu]
VampireGuardian Tags: [None!]
Etherjet Tags: [None!]
ExtragalacticFlenser Tags: [Mothership], [ExtragalacticWar], [ExtragalacticWarTier5]
AIOverlordPhase1 Tags: [MasterController], [MasterControllerStage1], [ShowsOnNormalDisplayMode]
Obscenity Tags: [ScaryNanobot]
SpacePlane Tags: [None!]
ArchitraveCestus Tags: [ZenithArchitrave], [ArchitraveTierZero]
FortifiedTeslaGuardian Tags: [MedHRFSpawn]
CarrierGuardian Tags: [None!]
AutoBomb Tags: [None!]
AIOverlordPhase2 Tags: [MasterControllerStage2], [ShowsOnNormalDisplayMode]
TractorArray Tags: [None!]
Neophyte Tags: [ScourgeNeophyte]
PulsarTank Tags: [None!]
SpireTransceiver Tags: [SpireCityBuildMenu]
GrenadeLauncherGuardian Tags: [None!]
TethuidaGuardian Tags: [None!]
DirePikeGuardian Tags: [ExoLeader], [DireGuardian]
ForcefieldGenerator Tags: [MovesBackAfterBeingNorrised]
Builder Tags: [ScourgeBuilder]
ArchitraveDimachaerus Tags: [ZenithArchitrave], [ArchitraveTierZero]
AICommandStation Tags: [AICommandStationOriginal]
PlasmaGuardian Tags: [None!]
Spider Tags: [None!]
MLRSGuardian Tags: [None!]
TachyonArray Tags: [None!]
DireNucleophilicGuardian Tags: [ExoLeader], [DireGuardian]
Warrior Tags: [ScourgeWarrior], [ScourgeWarriorBase]
AICommandStationReconquest Tags: [AICommandStationReconquest]
AISpireCitadel Tags: [AISpireCitadel]
ForcefieldGuardian Tags: [None!]
ArchitraveParmularius Tags: [ZenithArchitrave], [ArchitraveTierOne]
VampireClaw Tags: [None!]
FocusedGravityGenerator Tags: [None!]
TemperamentalGuardian Tags: [None!]
MLRSGuardPost Tags: [None!]
BurlustWarrior Tags: [ScourgeWarrior], [ScourgeBurlust]
DireGrenadeLauncherGuardian Tags: [ExoLeader], [DireGuardian]
PikeGuardian Tags: [None!]
Minefield Tags: [None!]
MetabolizingGangsaw Tags: [None!]
NucleophilicGuardPost Tags: [None!]
EvuckWarrior Tags: [ScourgeWarrior], [ScourgeEvuck]
TantrumingGuardian Tags: [None!]
DireVampireGuardian Tags: [ExoLeader], [DireGuardian]
GravityGuardian Tags: [None!]
AISpireResearchLab Tags: [AISpireResearchLab]
HumanCryogenicPod Tags: [HumanCryogenicPod]
AreaMinefield Tags: [None!]
ForcefieldFrigate Tags: [None!]
FragmentingGuardian Tags: [None!]
DireTritiumSniperGuardian Tags: [ExoLeader], [DireGuardian]
NeinzulWarrior Tags: [ScourgeWarrior], [ScourgeNeinzul]
HeavyBeamGuardian Tags: [None!]
SpireRelic Tags: [SpireRelic], [SphericalSpireRelic]
ZenithPowerGenerator Tags: [ZenithPowerGenerator], [Capturable]
SiegeFrigate Tags: [None!]
ParalysisMinefield Tags: [None!]
FragmentingGuardianShard Tags: [None!]
ArchitraveEques Tags: [ZenithArchitrave], [ArchitraveTierOne]
PeltianWarrior Tags: [ScourgeWarrior], [ScourgePeltian]
DireGravityGuardian Tags: [ExoLeader], [DireGuardian]
PlasmaTorpedoAOEBurstAtEnd Tags: [None!]
SpireRelicTrain Tags: [SpireRelicTrain]
PlasmaBolt Tags: [None!]
StingerBolt Tags: [None!]
FusionBolt Tags: [None!]
ParasiteCurvedPinkShot Tags: [None!]
MarauderOutpost Tags: [MarauderOutpost], [GeneratesBonusHunterShips]
SentryFrigate Tags: [None!]
ExtremelyLongRangeIon Tags: [None!]
DireTeslaGuardian Tags: [ExoLeader], [DireGuardian]
MassDriver Tags: [None!]
ThoraxianWarrior Tags: [ScourgeWarrior], [ScourgeThoraxian], [InvulnerabilityGranter]
HydraMercFlagship Tags: [HydraMercFlagship], [Hydral Hobbyist]
ArchitraveRetiarius Tags: [ZenithArchitrave], [ArchitraveTierOne]
SpireDebris Tags: [SpireDebris]
ZenithMatterConverter Tags: [ZenithMatterConverter], [Capturable]
DireStealthGuardian Tags: [ExoLeader], [DireGuardian]
WarpingInMarauderOutpost Tags: [WarpingInMarauderOutpost]
SpireWarrior Tags: [ScourgeWarrior], [ScourgeSpire]
DireConcussionGuardian Tags: [ExoLeader], [DireGuardian]
AISpireFortress Tags: [AISpireFortress], [IsPossibleSabotageTarget]
MercDistractorCarrier Tags: [MercDistractorCarrier]
AISentryFrigate Tags: [None!]
ScourgeSpireBurlustWarrior Tags: [ScourgeWarrior], [ScourgeSpireBurlust]
DireMLRSGuardian Tags: [ExoLeader], [DireGuardian]
FusionBomb_Viral Tags: [None!]
FusionBomb_Agravic Tags: [None!]
IntraGalacticCoordinatorTurret Tags: [IntraGalacticCoordinatorTurret], [Capturable]
BurlustEvuckWarrior Tags: [ScourgeWarrior], [ScourgeBurlustEvuck]
Spore Tags: [MacrophageSpore]
FusionRocket Tags: [None!]
HumanHomeCommandStation Tags: [ShowsOnNormalDisplayMode], [DirectBuilder]
ArchitraveRetiariusWithSpire Tags: [ZenithArchitrave], [ArchitraveTierOneWithSpire]
DireTemperamentalGuardian Tags: [DireGuardian]
IntraGalacticCoordinatorFrigate Tags: [IntraGalacticCoordinatorFrigate], [Capturable]
SpireNeinzulWarrior Tags: [ScourgeWarrior], [ScourgeSpireNeinzul]
TeliumUnderConstruction Tags: [MacrophageTeliumUnderConstruction], [ShowsOnNormalDisplayMode]
NeinzulBurlustWarrior Tags: [ScourgeWarrior], [ScourgeNeinzulBurlust]
Bombard Tags: [None!]
IntraGalacticCoordinatorStrikeCraft Tags: [IntraGalacticCoordinatorStrikeCraft], [Capturable]
DireTantrumingGuardian Tags: [DireGuardian]
ArchitraveEssedarius Tags: [ZenithArchitrave], [ArchitraveTierTwo]
Telium Tags: [MacrophageTelium], [ShowsOnNormalDisplayMode]
SpireThoraxianWarrior Tags: [ScourgeWarrior], [ScourgeSpireThoraxian]
GlobalCommandAugmenter Tags: [GlobalCommandAugmenter], [Capturable]
ViralShredder Tags: [None!]
ThoraxianNeinzulWarrior Tags: [ScourgeWarrior], [ScourgeThoraxianNeinzul]
MacrophageHarvester Tags: [MacrophageHarvester], [RegularMacrophageHarvester]
DireFragmentingGuardian Tags: [DireGuardian]
ArchitraveScutarius Tags: [ZenithArchitrave], [ArchitraveTierTwo]
SpirePeltianWarrior Tags: [ScourgeWarrior], [ScourgeSpirePeltian]
AdvancedResearchStation Tags: [ARS], [HackForShipType], [ShowsOnNormalDisplayMode]
SubverterTurret Tags: [None!]
PeltianThoraxianWarrior Tags: [ScourgeWarrior], [ScourgePeltianThoraxian]
AIHunterKiller Tags: [ExoLeader], [HunterKiller]
MacrophageEnragedHarvester Tags: [MacrophageEnragedHarvester], [RegularMacrophageEnragedHarvester]
FleetResearchStation Tags: [FRS], [HackForShipType], [ShowsOnNormalDisplayMode]
ArchitraveScutariusSpire Tags: [ZenithArchitrave], [ArchitraveTierTwoWithSpire]
SpireEvuckWarrior Tags: [ScourgeWarrior], [ScourgeSpireEvuck]
MakeshiftTurret Tags: [None!]
EvuckPeltianWarrior Tags: [ScourgeWarrior], [ScourgeEvuckPeltian]
FleetCapacityExtender Tags: [FleetCapacity], [HackForShipTypeCapIncrease], [ShowsOnNormalDisplayMode]
Marauder_Raider Tags: [MarauderRaider], [MarauderRaiderBasic]
UnarmedGuardPost Tags: [None!]
ArchitraveHoplomachus Tags: [ZenithArchitrave], [ArchitraveTierTwo]
GuidedMissile Tags: [None!]
PlasmaTorpedo Tags: [None!]
DevourerShot Tags: [None!]
ScourgeSpawner Tags: [ScourgeSpawner], [ShowsOnNormalDisplayMode], [GeneratesBonusHunterShips]
TechnologyVault Tags: [TechVault], [GrantsTech], [ShowsOnNormalDisplayMode]
CrusherTurret Tags: [None!]
DevourerShot_Nemesis Tags: [None!]
ScourgeThoraxianFortress Tags: [ScourgeFortress], [ScourgeThoraxianFortress], [IsPossibleSabotageTarget]
CounterSniperTurret Tags: [None!]
PikeGuardPost Tags: [None!]
ArchitraveHoplomachusSpire Tags: [ZenithArchitrave], [ArchitraveTierTwoWithSpire]
MetalGenerator Tags: [MetalGenerator]
WarpingInScourgeSpawner Tags: [WarpingInScourgeSpawner]
InterceptorTurret Tags: [None!]
ScourgeSpireFortress Tags: [ScourgeFortress], [ScourgeSpireFortress], [IsPossibleSabotageTarget]
AblativeTurret Tags: [None!]
SabotGuardPost Tags: [None!]
AssaultFrigate Tags: [None!]
ArchitraveThraex Tags: [ZenithArchitrave], [ArchitraveTierThree]
ScourgeArmory Tags: [ScourgeArmory], [ShowsOnNormalDisplayMode]
SeekerTurret Tags: [None!]
HailstormTurret Tags: [None!]
ConcussionGuardPost Tags: [None!]
WarpingInDZEpistyle Tags: [WarpingInDZEpistyle]
RaidFrigate Tags: [None!]
WarpingInScourgeArmory Tags: [WarpingInScourgeArmory]
ArchitraveMurmillo Tags: [ZenithArchitrave], [ArchitraveTierTwo]
ArchitraveStratopedon Tags: [ArchitraveDefensiveStructure], [InvulnerabilityGranter]
DZConstructor Tags: [DZConstructor]
DirePlasmaGuardian Tags: [ExoLeader], [DireGuardian]
MicroConcussiveMissileTurret Tags: [None!]
VampireTurret Tags: [None!]
Subjugator Tags: [ScourgeSubjugator]
AIRaidFrigate Tags: [None!]
SpireLInterdictorNeuralNet Tags: [SpireCityBuildMenu]
ArchitraveMurmilloSpire Tags: [ZenithArchitrave], [ArchitraveTierTwoWithSpire]
EMPTurret Tags: [None!]
SolarFlareTurret Tags: [None!]
Nemesis Tags: [ScourgeNemesis]
WatchmanFrigate Tags: [WatchmanFrigate]
DireForcefieldGuardian Tags: [ExoLeader], [DireGuardian]
SpireInterdictorNeuralNet Tags: [SpireCityBuildMenu]
ArchitraveBustuarius Tags: [ZenithArchitrave], [ArchitraveTierThree]
HoloceneMissileTurret Tags: [None!]
ScrapTurret Tags: [None!]
DireHeavyBeamGuardian Tags: [ExoLeader], [DireGuardian]
WarpingInNemesis Tags: [WarpingInScourgeNemesis]
ArchitravePioneer Tags: [ZenithArchitrave], [ArchitravePioneer]
TranslocatorTurret Tags: [None!]
GeminiTurret Tags: [None!]
DireParalysisGuardian Tags: [ExoLeader], [DireGuardian]
ScourgeBurlustFortress Tags: [ScourgeFortress], [ScourgeBurlustFortress], [IsPossibleSabotageTarget]
ArchitraveTriari Tags: [ZenithArchitrave], [ArchitraveWarGolem]
JammerTurret Tags: [None!]
AcidTurret Tags: [None!]
DireShredderGuardian Tags: [ExoLeader], [DireGuardian]
ScourgeEvuckFortress Tags: [ScourgeFortress], [ScourgeEvuckFortress], [IsPossibleSabotageTarget]
ArchitraveHastati Tags: [ZenithArchitrave], [ArchitraveWarGolem]
FuseballTurret Tags: [None!]
HumanHomeCommandStationCore Tags: [ShowsOnNormalDisplayMode], [DirectBuilder]
HarmonicTurret Tags: [None!]
DireTethuidaGuardian Tags: [ExoLeader], [DireGuardian]
ZATractorArray Tags: [ArchitraveUtilityStructure]
ArchitravePrincipes Tags: [ZenithArchitrave], [ArchitraveWarGolem]
ScourgeNeinzulFortress Tags: [ScourgeFortress], [ScourgeNeinzulFortress], [IsPossibleSabotageTarget]
ImploderTurret Tags: [None!]
DeathgripTurret Tags: [None!]
ZAFocusedGravityGenerator Tags: [ArchitraveUtilityStructure]
ArchitraveCastra Tags: [ArchitraveDefensiveStructure], [InvulnerabilityGranter]
ScourgePeltianFortress Tags: [ScourgeFortress], [ScourgePeltianFortress], [IsPossibleSabotageTarget]
FusionTurret Tags: [None!]
WarpingInArchitraveDefensiveStructure Tags: [WarpingInArchitraveDefensiveStructure]
EconomicCommandStation Tags: [DirectBuilder]
ShredderTurret Tags: [None!]
ArchitraveStativa Tags: [ArchitraveDefensiveStructure], [InvulnerabilityGranter]
WarpingInArchitraveUtilityStructure Tags: [WarpingInArchitraveUtilityStructure]
LogisticalCommandStation Tags: [DirectBuilder]
ZenithMinerProbe Tags: [ZenithMinerProbe], [ShowsOnNormalDisplayMode]
MilitaryCommandStation Tags: [DirectBuilder]
ZenithMinerTierZero Tags: [ZenithMinerTierZero], [ShowsOnNormalDisplayMode]
BlasterTurret Tags: [None!]
RuffianTurret Tags: [None!]
Marauder_Drone_Raider Tags: [MarauderRaider], [MarauderRaiderBasic]
SpireRailFrigate Tags: [SpireRailFrigate]
MatterConverter Tags: [None!]
MiniFortress Tags: [None!]
ArchitraveNavalia Tags: [ArchitraveDefensiveStructure], [InvulnerabilityGranter]
BastilleTurret Tags: [None!]
Factory Tags: [StationaryConstructor], [Factory]
SpireRailDestroyer Tags: [SpireRailDestroyer]
BulwarkTurret Tags: [None!]
DZTerminus Tags: [DZTerminus], [BaseDZTerminus], [ShowsOnNormalDisplayMode]
HomeHumanSettlement Tags: [HomeHumanSettlement]
ArchitravePhrourion Tags: [ArchitraveDefensiveStructure], [InvulnerabilityGranter]
SpireRiotCruiser Tags: [SpireRiotCruiser]
BlitzkriegTurret Tags: [None!]
WarpingInDZTerminus Tags: [WarpingInDZTerminus]
SpireLInterdictor Tags: [SpireLInterdictor]
DZEpistyle Tags: [DZEpistyle], [ShowsOnNormalDisplayMode]
SpireInterdictor Tags: [SpireInterdictor]
ImperialSpireSuperDreadnought Tags: [SpireSuperDreadnought]
SpireRailFrigateNeuralNet Tags: [SpireCityBuildMenu]
SpireRailDestroyerNeuralNet Tags: [SpireCityBuildMenu]
SpireRiotCruiserNeuralNet Tags: [SpireCityBuildMenu]
AstroTrainCarrierStyleMedium Tags: [AstroTrain], [AstroTrainMed], [ShowsOnNormalDisplayMode]
GhostConcussionCorvette Tags: [None!]
Mark1_Visible Tags: [None!]
AIAmbushTurret Tags: [None!]
RoyalGravityGuardian Tags: [None!]
EmptySlot_VelocityFoxtrot4 Tags: [None!]
GhostDireHeavyBeamGuardPost Tags: [None!]
AberrationV3 Tags: [None!]
AstroTrainWithRegularWeaponsMedium Tags: [AstroTrain], [AstroTrainMed], [ShowsOnNormalDisplayMode]
Tarantula Tags: [None!]
Mark2_NotVisible Tags: [None!]
EmptySlot_VelocityFoxtrot5 Tags: [None!]
Mark2_Visible Tags: [None!]
EmptySlot_VelocityFoxtrot6 Tags: [None!]
Mark3_NotVisible Tags: [None!]
EmptySlot_VelocityFoxtrot7 Tags: [None!]
Mark3_Visible Tags: [None!]
EncirclingSpider Tags: [IncludeInFRS]
AberrationZenithTrader Tags: [None!]
AIGrenadeLauncherTurret Tags: [None!]
EmptySlot_WorkhorseAlpha1 Tags: [None!]
SwarmerDireHeavyBeamGuardPost Tags: [None!]
Mark4_NotVisible Tags: [None!]
Kite Tags: [None!]
RoyalHeavyBeamGuardian Tags: [None!]
AutomatedVampireClaw Tags: [AutomatedVampireClaw]
MarauderGrenadeLauncherTurret Tags: [MarauderMark3TurretOutpost]
Mark4_Visible Tags: [None!]
GhostDireConcussionGuardPost Tags: [None!]
EmptySlot_WorkhorseAlpha2 Tags: [None!]
AstroTrainTankStyleMedium Tags: [AstroTrain], [AstroTrainMed], [ShowsOnNormalDisplayMode]
RoyalVampireGuardian Tags: [None!]
HRFPikeCorvette Tags: [LowHRFSpawn]
Mark5_NotVisible Tags: [None!]
EnsnarerGrenadeLauncherTurret Tags: [None!]
AbominationV2 Tags: [None!]
SwarmerDireConcussionGuardPost Tags: [None!]
AstroTrainWithRegularWeaponsHigh Tags: [AstroTrain], [AstroTrainHigh], [ShowsOnNormalDisplayMode]
Mark5_Visible Tags: [None!]
AstroTrainCarrierStyleHigh Tags: [AstroTrain], [AstroTrainHigh], [ShowsOnNormalDisplayMode]
Porcupine Tags: [XenophonStrikecraft]
SwarmerCarrierGuardian Tags: [None!]
EmptySlot_WorkhorseAlpha3 Tags: [None!]
ViciousVampireClaw Tags: [None!]
GhostGrenadeLauncherTurret Tags: [None!]
GhostDireParasiteGuardPost Tags: [None!]
AbominationV3 Tags: [None!]
EmptySlot_WorkhorseAlpha4 Tags: [None!]
RoyalTethuidaGuardian Tags: [None!]
AINucleophilicTurret Tags: [None!]
SwarmerDireParasiteGuardPost Tags: [None!]
ParasiticPikeCorvette Tags: [None!]
Absorber Tags: [None!]
AstroTrainTankStyleHigh Tags: [AstroTrain], [AstroTrainHigh], [ShowsOnNormalDisplayMode]
EmptySlot_WorkhorseAlpha5 Tags: [None!]
ChrisTest_Usurper Tags: [None!]
RoyalMLRSGuardian Tags: [None!]
Mark6_NotVisible Tags: [None!]
MarauderNucleophilicTurret Tags: [MarauderMark3TurretOutpost]
Stalker Tags: [None!]
ChrisTest_humancommandstation Tags: [None!]
Mark6_Visible Tags: [None!]
EmptySlot_WorkhorseAlpha6 Tags: [None!]
AbominationZenithTrader Tags: [None!]
AutomatedMetabolizingGangsaw Tags: [AutomatedMetabolizingGangsaw]
RoyalTemperamentalGuardian Tags: [None!]
EnsnarerNucleophilicTurret Tags: [None!]
HRFVanguard Tags: [LowHRFSpawn]
EmptySlot_StealthAlpha3 Tags: [None!]
GhostDireSpiderGuardPost Tags: [None!]
Mark7_NotVisible Tags: [None!]
EmptySlot_WorkhorseAlpha7 Tags: [None!]
EmptySlot_StealthAlpha1 Tags: [None!]
RoyalTantrumingGuardian Tags: [None!]
ViciousMetabolizingGangsaw Tags: [None!]
EmptySlot_StealthAlpha4 Tags: [None!]
GhostNucleophilicTurret Tags: [None!]
AstroTrainDepotVanguard Tags: [AstroTrainDepotWardenFleet]
EmptySlot_StealthAlpha2 Tags: [None!]
SwarmerDireSpiderGuardPost Tags: [None!]
Mark7_Visible Tags: [None!]
EmptySlot_StealthAlpha5 Tags: [None!]
EmptySlot_StealthAlpha7 Tags: [None!]
RoyalFragmentingGuardian Tags: [None!]
EmptySlot_WorkhorseBravo1 Tags: [None!]
NonAIPlanet_NotVisible Tags: [None!]
EmptySlot_StealthFoxtrot1 Tags: [None!]
AIFortifiedTeslaTurret Tags: [None!]
GhostDireNucleophilicGuardPost Tags: [None!]
EmptySlot_StealthAlpha6 Tags: [None!]
Drone Vanguard Tags: [None!]
Barnacle Tags: [None!]
EmptySlot_StealthBravo1 Tags: [None!]
NonAIPlanet_Visible Tags: [None!]
EmptySlot_StealthFoxtrot2 Tags: [None!]
RoyalDireTeslaGuardian Tags: [RoyalDireGuardian]
EmptySlot_VelocityAlpha2 Tags: [None!]
EmptySlot_WorkhorseBravo2 Tags: [None!]
EmptySlot_StealthBravo2 Tags: [None!]
AIHome_NotVisible Tags: [None!]
FusionSaw Tags: [None!]
EmptySlot_WorkhorseBravo3 Tags: [None!]
EmptySlot_VelocityAlpha3 Tags: [None!]
RoyalDireConcussionGuardian Tags: [RoyalDireGuardian]
AIHome_Visible Tags: [None!]
EmptySlot_StealthBravo3 Tags: [None!]
SwarmerDireNucleophilicGuardPost Tags: [None!]
EmptySlot_StealthFoxtrot3 Tags: [None!]
EnsnarerFortifiedTeslaTurret Tags: [None!]
DroneStingray Tags: [None!]
VanguardHydra Tags: [None!]
RoyalDirePlasmaGuardian Tags: [RoyalDireGuardian]
OwnedByNobody_NotVisible Tags: [None!]
EmptySlot_StealthBravo4 Tags: [None!]
EmptySlot_StealthFoxtrot4 Tags: [None!]
EmptySlot_WorkhorseBravo4 Tags: [None!]
EmptySlot_VelocityAlpha4 Tags: [None!]
GhostDireGravityPost Tags: [None!]
OwnedByNobody_Visible Tags: [None!]
GhostFortifiedTeslaTurret Tags: [None!]
EmptySlot_StealthFoxtrot5 Tags: [None!]
EmptySlot_StealthBravo5 Tags: [None!]
RoyalDireForcefieldGuardian Tags: [RoyalDireGuardian]
HeavyStingray Tags: [None!]
VanguardHydraHead Tags: [None!]
Unexplored Tags: [None!]
EmptySlot_VelocityAlpha5 Tags: [None!]
EmptySlot_StealthFoxtrot6 Tags: [None!]
SwarmerDireGravityGuardPost Tags: [None!]
EmptySlot_StealthBravo6 Tags: [None!]
Paralyser Tags: [ArnaudStrikecraft]
RoyalDireHeavyBeamGuardian Tags: [RoyalDireGuardian]
NonAIPlanetHome Tags: [None!]
EmptySlot_WorkhorseBravo5 Tags: [None!]
AIConcussionTurret Tags: [None!]
Gunbot Tags: [None!]
EmptySlot_VelocityAlpha6 Tags: [None!]
EmptySlot_StealthFoxtrot7 Tags: [None!]
EmptySlot_StealthBravo7 Tags: [None!]
GhostDireShredderGuardPost Tags: [None!]
RoyalDireParalysisGuardian Tags: [RoyalDireGuardian]
DarkSpireVengeanceGeneratorVulnerable Tags: [DarkSpire], [VengeanceGenerator], [ShowsOnNormalDisplayMode], [VengeanceGeneratorVulnerable]
EmptySlot_VelocityAlpha1 Tags: [None!]
EmptySlot_WorkhorseBravo6 Tags: [None!]
MarauderConcussionTurret Tags: [MarauderMark1TurretOutpost]
EmptySlot_VelocityBravo3 Tags: [None!]
StingrayHydra Tags: [None!]
EmptySlot_VelocityAlpha7 Tags: [None!]
DroneAutocannonMinipod Tags: [None!]
GhostDireTethuidaGuardPost Tags: [None!]
AIDarkSpireEidolon Tags: [None!]
TransportFlagship_Cloaked Tags: [ShowsOnNormalDisplayMode], [Capturable]
EmptySlot_WorkhorseBravo7 Tags: [None!]
RoyalDireShredderGuardian Tags: [RoyalDireGuardian]
EmptySlot_VelocityBravo4 Tags: [None!]
MercConcussionTurret Tags: [MercTurret]
StingrayHydraHead Tags: [None!]
EmptySlot_VelocityBravo1 Tags: [None!]
EnsnarerTractorArray Tags: [None!]
Zapper Tags: [None!]
DarkSpireEidolonZenithTrader Tags: [None!]
EmptySlot_WorkhorseFoxtrot1 Tags: [None!]
TransportFlagship_Cloaked_Seeded Tags: [ShowsOnNormalDisplayMode], [Capturable]
EmptySlot_VelocityBravo5 Tags: [None!]
RoyalDireTethuidaGuardian Tags: [RoyalDireGuardian]
EnsnarerConcussionTurret Tags: [None!]
EmptySlot_VelocityBravo2 Tags: [None!]
GhostTractorArray Tags: [None!]
TurboStingray Tags: [None!]
EmptySlot_WorkhorseFoxtrot2 Tags: [None!]
GuardDysonSentinel Tags: [None!]
EmptySlot_VelocityBravo6 Tags: [None!]
Molotov Tags: [None!]
TransportFlagship_Agile Tags: [ShowsOnNormalDisplayMode], [Capturable]
StartingForcefieldGenerator Tags: [StartingForcefieldGenerator]
RoyalDirePikeGuardian Tags: [RoyalDireGuardian]
AlarmPostZT Tags: [AlarmPost], [AIZenithPurchase], [IsPossibleSabotageTarget]
EnsnarerEtherjet Tags: [None!]
GhostConcussionTurret Tags: [None!]
EmptySlot_WorkhorseFoxtrot3 Tags: [None!]
EmptySlot_VelocityBravo7 Tags: [None!]
GuardDysonDefender Tags: [None!]
TransportFlagship_Agile_Seeded Tags: [ShowsOnNormalDisplayMode], [Capturable]
MagnifierZT Tags: [Magnifier], [AIZenithPurchase], [IsPossibleSabotageTarget]
AIForcefieldGenerator Tags: [None!]
GhostGrenadeLauncherCorvette Tags: [None!]
RoyalDireNucleophilicGuardian Tags: [RoyalDireGuardian]
EmptySlot_WorkhorseFoxtrot4 Tags: [None!]
EmptySlot_VelocityFoxtrot1 Tags: [None!]
AIMLRSTurret Tags: [None!]
OrbitalMassDriverZenithTrader Tags: [None!]
Thief Tags: [None!]
ZenithForcefieldGenerator Tags: [None!]
CloakedArkOne Tags: [ShowsOnNormalDisplayMode], [Capturable]
TransportFlagship_Custom Tags: [ShowsOnNormalDisplayMode], [Capturable]
RoyalDireGrenadeLauncherGuardian Tags: [RoyalDireGuardian]
Aggressor Tags: [ArnaudStrikecraft]
EmptySlot_WorkhorseFoxtrot5 Tags: [None!]
AITachyonArray Tags: [None!]
TroopAcceleratorZT Tags: [TroopAccelerator], [AIZenithPurchase], [IsPossibleSabotageTarget]
EmptySlot_VelocityFoxtrot2 Tags: [None!]
MarauderMLRSTurret Tags: [MarauderMark2TurretOutpost]
ClusterBomb Tags: [None!]
RoyalDireVampireGuardian Tags: [RoyalDireGuardian]
BlackHoleMachineZT Tags: [BlackHoleMachine], [AIZenithPurchase], [IsPossibleSabotageTarget]
CombatEngineer Tags: [None!]
EmptySlot_WorkhorseFoxtrot6 Tags: [None!]
EnsnarerFocusedGravityGenerator Tags: [None!]
TransportFlagship_StealthAlpha Tags: [ShowsOnNormalDisplayMode], [Capturable]
EnsnarerMLRSTurret Tags: [None!]
EmptySlot_VelocityFoxtrot3 Tags: [None!]
DroneAblativeGatling Tags: [None!]
AISuperFortress Tags: [SuperFortress], [AISuperFortress]
MiniClusterBomb Tags: [None!]
GhostFocusedGravityGenerator Tags: [None!]
EmptySlot_WorkhorseFoxtrot7 Tags: [None!]
Ranger Tags: [None!]
NanocaustBeacon Tags: [Beacon], [NanocaustBeacon]
RoyalDireTritiumSniperGuardian Tags: [RoyalDireGuardian]
TransportFlagship_StealthBravo Tags: [ShowsOnNormalDisplayMode], [Capturable]
GhostMLRSTurret Tags: [None!]
AIMinefield Tags: [None!]
TransportFlagship_MobileSupport Tags: [ShowsOnNormalDisplayMode], [Capturable]
AblativeTroll Tags: [None!]
RaidEngineZT Tags: [RaidEngine], [AIZenithPurchase], [IsPossibleSabotageTarget]
Nanoswarm Tags: [None!]
DevourerBeacon Tags: [Beacon], [DevourerBeacon]
MedicGunboat Tags: [None!]
RoyalDireGravityGuardian Tags: [RoyalDireGuardian]
AIAreaMinefield Tags: [None!]
AIPlasmaTurret Tags: [None!]
TransportFlagship_StealthFoxtrot Tags: [ShowsOnNormalDisplayMode], [Capturable]
InstigatorConcussionGuardian Tags: [InstigatorSpawn]
Drone MLRS Tags: [None!]
MarauderBeacon Tags: [Beacon], [MarauderBeacon]
TransportFlagship_StrikecraftHeavy Tags: [ShowsOnNormalDisplayMode], [Capturable]
Ram Tags: [None!]
AIParalysisMinefield Tags: [None!]
RoyalConcussionGuardian Tags: [None!]
EnsnarerPlasmaTurret Tags: [None!]
Harasser Tags: [None!]
HRFBeacon Tags: [Beacon], [HRFBeacon]
TransportFlagship_VelocityAlpha Tags: [ShowsOnNormalDisplayMode], [Capturable]
TransportFlagship_StrikecraftModerate Tags: [ShowsOnNormalDisplayMode], [Capturable]
AutomatedSniper Tags: [AutomatedSniper]
RoyalDireStealthGuardian Tags: [RoyalDireGuardian]
RoyalSpiderGuardian Tags: [None!]
Persuader Tags: [None!]
CombatSentryFrigate Tags: [None!]
GhostPlasmaTurret Tags: [None!]
TransportFlagship_VelocityBravo Tags: [ShowsOnNormalDisplayMode], [Capturable]
MarauderVWing Tags: [None!]
IrefulMLRSCorvette Tags: [IncludeInFRS]
GhostSniper Tags: [None!]
RoyalParalysisGuardian Tags: [None!]
RoyalDireMLRSGuardian Tags: [RoyalDireGuardian]
LesserZenithPowerGenerator Tags: [Capturable]
RoyalTractorGuardian Tags: [None!]
AITritiumSniperTurret Tags: [None!]
ParasiteHydra Tags: [None!]
TransportFlagship_FrigateHeavy Tags: [ShowsOnNormalDisplayMode], [Capturable]
VeteranSniper Tags: [None!]
HRFRaider Tags: [LowHRFSpawn]
HRFAssaultFrigate Tags: [HighHRFSpawn]
TransportFlagship_VelocityFoxtrot Tags: [ShowsOnNormalDisplayMode], [Capturable]
RoyalDireTemperamentalGuardian Tags: [RoyalDireGuardian]
EnsnarerTritiumSniperTurret Tags: [None!]
Drone VWing Tags: [None!]
ParasiteHydraHead Tags: [None!]
InstigatorTeslaGuardian Tags: [InstigatorSpawn]
TransportFlagship_GeneralHeavy Tags: [ShowsOnNormalDisplayMode], [Capturable]
Tripper Tags: [None!]
AstroTrainRaider Tags: [AstroTrainDepotHunterFleet]
Brawler Tags: [None!]
TransportFlagship_WorkhorseAlpha Tags: [ShowsOnNormalDisplayMode], [Capturable]
RoyalDireTantrumingGuardian Tags: [RoyalDireGuardian]
RoyalFortifiedTeslaGuardian Tags: [None!]
GhostTritiumSniperTurret Tags: [None!]
IncitingParasite Tags: [IncludeInFRS]
MarauderFusionBomber Tags: [None!]
TransportFlagship_Starter Tags: [ShowsOnNormalDisplayMode], [Capturable]
TransportFlagship_WorkhorseBravo Tags: [ShowsOnNormalDisplayMode], [Capturable]
RoyalDireFragmentingGuardian Tags: [RoyalDireGuardian]
Drone Raider Tags: [None!]
DefensiveAssaultFrigate Tags: [DefensiveAssaultFrigate]
InstigatorGrenadeLauncherGuardian Tags: [InstigatorSpawn]
Railpod Tags: [None!]
AgileCursedGolem Tags: [ShowsOnNormalDisplayMode], [Capturable]
SniperTritiumSniperTurret Tags: [None!]
SwarmerPikeGuardPost Tags: [None!]
DroneFusionBomber Tags: [None!]
GhostUnarmedGuardPost Tags: [None!]
HRFGrenadeLauncherGuardian Tags: [HighHRFSpawn]
TransportFlagship_WorkhorseFoxtrot Tags: [ShowsOnNormalDisplayMode], [Capturable]
ViciousRaider Tags: [None!]
Mugger Tags: [None!]
Mirage Tags: [None!]
AISpiderTurret Tags: [None!]
GhostSabotGuardPost Tags: [None!]
SwarmerUnarmedGuardPost Tags: [None!]
ParasiticFusionBomber Tags: [None!]
RoyalGrenadeLauncherGuardian Tags: [None!]
Mark1_NotVisible Tags: [None!]
GhostPikeGuardPost Tags: [None!]
Dagger Tags: [None!]
MercSpiderTurret Tags: [MercTurret]
AIHiveDrone Tags: [None!]
CloakedMugger Tags: [None!]
HRFPulsarTank Tags: [LowHRFSpawn]
InstigatorPlasmaGuardian Tags: [InstigatorSpawn]
SwarmerSabotGuardPost Tags: [None!]
HeavyFusionBomber Tags: [LobarStrikecraft]
EnsnarerSpiderTurret Tags: [None!]
TurboRaider Tags: [IncludeInFRS]
BountyHunter Tags: [None!]
AntiShieldPulsarTank Tags: [None!]
HRFNucleophilicGuardian Tags: [HighHRFSpawn]
RoyalPlasmaGuardian Tags: [None!]
UltimaFusionBomber Tags: [IncludeInFRS]
GhostConcussionGuardPost Tags: [None!]
Velociraptor Tags: [HerewardStrikecraft]
GhostSpiderTurret Tags: [None!]
Apparition Tags: [None!]
RoyalForcefieldGuardian Tags: [None!]
RoyalNucleophilicGuardian Tags: [None!]
SabreCompanyPulsarTank Tags: [SabreCompanyPulsarTank]
SwarmerConcussionGuardPost Tags: [None!]
AutomatedSentinelGunboat Tags: [AutomatedSentinelGunboat]
SniperSpiderTurret Tags: [None!]
InstigatorPikeGuardian Tags: [InstigatorSpawn]
ViciousRaidFrigate Tags: [None!]
RoyalStealthGuardian Tags: [None!]
PulsarPunk Tags: [None!]
GhostMLRSGuardPost Tags: [None!]
VeteranSentinelGunboat Tags: [None!]
RoyalPikeGuardian Tags: [None!]
RoyalTritiumSniperGuardian Tags: [None!]
AnvilSecuritiesForcefieldFrigate Tags: [AnvilSecuritiesForcefieldFrigate]
AIBeamCannon Tags: [None!]
SwarmerMLRSGuardPost Tags: [None!]
TutelarPulsarTank Tags: [IncludeInFRS]
Siphoner Tags: [None!]
MarauderBeamCannon Tags: [None!]
GhostNucleophilicGuardPost Tags: [None!]
AnvilSecuritiesSpider Tags: [AnvilSecuritiesSpider]
Suppressor Tags: [None!]
EnsnarerBeamCannon Tags: [None!]
SwarmerNucleophilicGuardPost Tags: [None!]
Terrier Tags: [None!]
Devestator Tags: [None!]
SwarmerShieldGuardPost Tags: [None!]
GhostBeamCannon Tags: [None!]
IonDisruptor Tags: [None!]
SwarmerStealthGuardPost Tags: [None!]
HydraMercFlagshipMajorHead Tags: [Hydral Hobbyist]
Ramifier Tags: [None!]
HydraMercFlagshipHead Tags: [Hydral Hobbyist]
GhostDireSabotGuardPost Tags: [None!]
Ripper Tags: [None!]
HydraMercFlagshipMinorHead Tags: [Hydral Hobbyist]
SwarmerDireSabotGuardPost Tags: [None!]
MacrophageEnragedHarvesterZenithTrader Tags: [None!]
WarbirdFrigateHydra Tags: [None!]
HackedMercBeacon Tags: [HackedMercBeacon]
GhostDireTeslaGuardPost Tags: [None!]
WarbirdFrigateHydraHead Tags: [None!]
NanobotCenter_Hacked_Hive Tags: [NanobotCenter], [NanobotHackedHive], [ShowsOnNormalDisplayMode]
SwarmerDireTeslaGuardPost Tags: [None!]
AIPikeTurret Tags: [None!]
AberrationV2 Tags: [None!]
MarauderPikeTurret Tags: [MarauderMark3TurretOutpost]
EnsnarerPikeTurret Tags: [None!]
GhostPikeTurret Tags: [None!]
DroneAutomatedConstructionBot Tags: [None!]
SpireRelicA3 Tags: [SpireRelic], [SphericalSpireRelic]
ViralShredderCopy Tags: [None!]
AIMicroConcussiveMissileTurret Tags: [None!]
DroneMiniAutomatedConstructionBot Tags: [None!]
AIBlitzkriegTurret Tags: [None!]
AIVampireTurret Tags: [None!]
AIHarmonicTurret Tags: [None!]
ScourgeBeacon Tags: [Beacon], [ScourgeBeacon]
AIFuseballTurret Tags: [None!]
SpireRelicA4 Tags: [SpireRelic], [SphericalSpireRelic]
AISubverterTurret Tags: [None!]
EnsnarerVampireTurret Tags: [None!]
AIHoloceneMissileTurret Tags: [None!]
ImperialSpireFrigate Tags: [ImperialSpireFrigate]
SpireCruiserFlagship Tags: [None!]
EnsnarerBlitzkriegTurret Tags: [None!]
AISubjugator Tags: [None!]
EnsnarerFuseballTurret Tags: [None!]
EnsnarerHarmonicTurret Tags: [None!]
SpireRelicB1 Tags: [SpireRelic], [AngularSpireRelic]
EnsnarerSubverterTurret Tags: [None!]
EnsnarerHoloceneMissileTurret Tags: [None!]
ImperialSpireDestroyer Tags: [ImperialSpireDestroyer]
ImperialSpireCruiser Tags: [ImperialSpireCruiser]
GhostVampireTurret Tags: [None!]
SpireRelicB2 Tags: [SpireRelic], [AngularSpireRelic]
GhostHarmonicTurret Tags: [None!]
GhostBlitzkriegTurret Tags: [None!]
SpireBattleshipFlagship Tags: [None!]
GhostFuseballTurret Tags: [None!]
GhostSubverterTurret Tags: [None!]
GhostHoloceneMissileTurret Tags: [None!]
SpireRelicB3 Tags: [SpireRelic], [AngularSpireRelic]
AISolarFlareTurret Tags: [None!]
SpireRelicA2 Tags: [SpireRelic], [SphericalSpireRelic]
SpireDebris3 Tags: [SpireDebris]
AIDeathgripTurret Tags: [None!]
ImperialSpireBattleship Tags: [ImperialSpireBattleship]
AITranslocatorTurret Tags: [None!]
AICounterSniperTurret Tags: [None!]
AIMakeshiftTurret Tags: [None!]
AIImploderTurret Tags: [None!]
AISpireCruiser Tags: [None!]
EnsnarerSolarFlareTurret Tags: [None!]
SpireRelicB4 Tags: [SpireRelic], [AngularSpireRelic]
SpireBeacon Tags: [Beacon], [SpireBeacon]
EnsnarerTranslocatorTurret Tags: [None!]
EnsnarerMakeshiftTurret Tags: [None!]
EnsnarerCounterSniperTurret Tags: [None!]
EnsnarerDeathgripTurret Tags: [None!]
SpireDreadnoughtFlagship Tags: [None!]
AISpireBattleship Tags: [None!]
GhostSolarFlareTurret Tags: [None!]
SpireDebris2 Tags: [SpireDebris]
EnsnarerImploderTurret Tags: [None!]
GhostCounterSniperTurret Tags: [None!]
ImperialSpireDreadnought Tags: [ImperialSpireDreadnought]
AIInterceptorTurret Tags: [None!]
GhostDeathgripTurret Tags: [None!]
AIScrapTurret Tags: [None!]
GhostTranslocatorTurret Tags: [None!]
AIBlasterTurret Tags: [None!]
GhostImploderTurret Tags: [None!]
GhostMakeshiftTurret Tags: [None!]
AISpireFrigate Tags: [None!]
AIAblativeTurret Tags: [None!]
SniperCounterSniperTurret Tags: [None!]
EnsnarerScrapTurret Tags: [None!]
EnsnarerInterceptorTurret Tags: [None!]
EnsnarerBlasterTurret Tags: [None!]
AIShredderTurret Tags: [None!]
AIJammerTurret Tags: [None!]
AIFusionTurret Tags: [None!]
EnsnarerAblativeTurret Tags: [None!]
EnsnarerJammerTurret Tags: [None!]
GhostInterceptorTurret Tags: [None!]
GhostScrapTurret Tags: [None!]
GhostBlasterTurret Tags: [None!]
EnsnarerShredderTurret Tags: [None!]
GhostAblativeTurret Tags: [None!]
AISpireDestroyer Tags: [None!]
SniperInterceptorTurret Tags: [None!]
AIGeminiTurret Tags: [None!]
GhostJammerTurret Tags: [None!]
GhostShredderTurret Tags: [None!]
AIMiniFortress Tags: [None!]
AIRuffianTurret Tags: [None!]
EnsnarerGeminiTurret Tags: [None!]
AIHailstormTurret Tags: [None!]
AISeekerTurret Tags: [None!]
EnsnarerRuffianTurret Tags: [None!]
EnsnarerHailstormTurret Tags: [None!]
GhostGeminiTurret Tags: [None!]
EnsnarerSeekerTurret Tags: [None!]
GhostHailstormTurret Tags: [None!]
AIAcidTurret Tags: [None!]
GhostSeekerTurret Tags: [None!]
GhostAcidTurret Tags: [None!]
GhostRuffianTurret Tags: [None!]
EnsnarerAcidTurret Tags: [None!]
EnsnarerMicroConcussiveMissileTurret Tags: [None!]
GhostMicroConcussiveMissileTurret Tags: [None!]
EnsnarerFusionTurret Tags: [None!]
GhostFusionTurret Tags: [None!]
DZRedTerminus Tags: [DZTerminus], [DZRedTerminus], [ShowsOnNormalDisplayMode]
DZWhiteTerminus Tags: [DZTerminus], [DZWhiteTerminus], [ShowsOnNormalDisplayMode]
DZHertogiEnraged Tags: [DZTierZeroEnraged]
DZHeisirEnraged Tags: [DZTierOneEnraged]
DZDrengStout Tags: [DZTierOneStout], [InitialInvasionReinforcements]
DZJarlEnraged Tags: [DZTierTwoEnraged]
DZEinherjarEnraged Tags: [DZTierThreeEnraged]
DZUlfsarkEnraged Tags: [DZTierThreeEnraged]
NomadPlanetNexus Tags: [NomadNexus], [ShowsOnNormalDisplayMode]
DZBlackTerminus Tags: [DZTerminus], [DZBlackTerminus], [ShowsOnNormalDisplayMode]
DZHertogiStout Tags: [DZTierZeroStout], [InitialInvasionReinforcements]
ZenithMinerTierOne,ShowsOnNormalDisplayMode Tags: [None!]
DZDrengEnraged Tags: [DZTierOneEnraged]
DZHeisirSinister Tags: [DZTierOneSinister], [], [InitialInvasionReinforcements]
DZMetalTerminus Tags: [DZTerminus], [DZMetalTerminus], [ShowsOnNormalDisplayMode]
DZGreenTerminus Tags: [DZTerminus], [DZGreenTerminus], [ShowsOnNormalDisplayMode]
DZEinherjarSinister Tags: [DZTierThreeSinister]
DZMerkismathrEnraged Tags: [DZTierTwoEnraged]
DZHuskarlEnraged Tags: [DZTierZeroEnraged]
ZenithMinerTierTwo,ShowsOnNormalDisplayMode Tags: [None!]
DZSkaldSpirited Tags: [DZTierZeroSpirited], [InitialInvasionReinforcements]
DZDregilFortified Tags: [DZTierZeroFortified], [InitialInvasionReinforcements]
DZUlfsarkFortified Tags: [DZTierThreeFortified]
DZEinherjarSpirted Tags: [DZTierThreeSpirited]
DZHertogiSinister Tags: [DZTierTwoSinister]
DZHuskarlSinister Tags: [DZTierZeroSinister], [InitialInvasionReinforcements]
DZJarlFortified Tags: [DZTierTwoFortified]
DZHeisirSpirted Tags: [DZTierOneSpirited], [InitialInvasionReinforcements]
DZBlueTerminus Tags: [DZTerminus], [DZBlueTerminus], [ShowsOnNormalDisplayMode]
DZDrengFortified Tags: [DZTierOneFortified]
DZJarlStout Tags: [DZTierTwoStout]
DZHertogiSpirted Tags: [DZTierTwoSpirited]
DZEinherjarFortified Tags: [DZTierThreeSpirited]
Dark Zenith Beacon Tags: [Beacon], [DarkZenithBeacon]
DZUlfsarkStout Tags: [DZTierThreeStout]
=====================================
=====================================
RowsByTag
=====================================
Tag: SpecialForcesSecretNinjaHideout
SpecialForcesSecretNinjaHideout
==========
Tag: ShowsOnNormalDisplayMode
SpecialForcesSecretNinjaHideout
Mercenary Beacon
AstroTrainDepot
RiskAnalyzer
AstroTrainStation
AstroTrainCarrierStyle
AstroTrainTankStyle
PlasmaEye
NanobotCenter_Hive
PlasmaAlertedEye
AstroTrainWithRegularWeapons
ArmoredGolem
IonEye
DistributionNode
GraviticBattlestation
IonAlertedEye
SpireArchive
ShieldwallBattlestation
ArtilleryGolem
RevealerBattlestation
RorqualHegira
EngineeringBattlestation
RaidEngine
ParasiteCitadel
AlarmPost
Thanatos
RegeneratorGolem
InterceptorCitadel
EnsnarerBattlestation
Gyrn
ImpactorCitadel
MetabolicCitadel
CursedGolem
AgravicCitadel
DrainerCitadel
Orchid
InhibitorCitadel
ArkOne
BotnetGolem
ParalysisCitadel
BellePrime
RejuvenatorCombatFactory
CombatFactory
BlackWidowGolem
ScrapperCombatFactory
GreatA’Thomek
OverloaderCombatFactory
SpireLostFrigateLance
NodorianTortoid
SolAter
SpireLostFrigateLaser
HiveGolem
BackdoorCombatFactory
SpireLostFrigateRailcannon
GrandSalvage
TransportFlagship_Base
TransportFlagship_SpecialShipBase
DevourerGolem
DysonSphereGolem
DarkSpireVengeanceGenerator
ZenithTrader
DarkSpireVengeanceGeneratorLocus
AntagonizedDysonSphereGolem
RavenousShadow
PlayerDysonAntagonizer
DisabledNomadPlanetNexus
DysonAntagonizer
WarpingInDysonAntagonizer
ZenithArchitravePortal
ZenithArchitraveSpawner
SpireTelium
InstigatorBase
AIOverlordPhase1
AIOverlordPhase2
HumanHomeCommandStation
TeliumUnderConstruction
Telium
AdvancedResearchStation
FleetResearchStation
FleetCapacityExtender
ScourgeSpawner
TechnologyVault
ScourgeArmory
HumanHomeCommandStationCore
ZenithMinerProbe
ZenithMinerTierZero
DZTerminus
DZEpistyle
AstroTrainCarrierStyleMedium
AstroTrainWithRegularWeaponsMedium
AstroTrainTankStyleMedium
AstroTrainWithRegularWeaponsHigh
AstroTrainCarrierStyleHigh
AstroTrainTankStyleHigh
DarkSpireVengeanceGeneratorVulnerable
TransportFlagship_Cloaked
TransportFlagship_Cloaked_Seeded
TransportFlagship_Agile
TransportFlagship_Agile_Seeded
CloakedArkOne
TransportFlagship_Custom
TransportFlagship_StealthAlpha
TransportFlagship_StealthBravo
TransportFlagship_MobileSupport
TransportFlagship_StealthFoxtrot
TransportFlagship_StrikecraftHeavy
TransportFlagship_VelocityAlpha
TransportFlagship_StrikecraftModerate
TransportFlagship_VelocityBravo
TransportFlagship_FrigateHeavy
TransportFlagship_VelocityFoxtrot
TransportFlagship_GeneralHeavy
TransportFlagship_WorkhorseAlpha
TransportFlagship_Starter
TransportFlagship_WorkhorseBravo
AgileCursedGolem
TransportFlagship_WorkhorseFoxtrot
NanobotCenter_Hacked_Hive
DZRedTerminus
DZWhiteTerminus
NomadPlanetNexus
DZBlackTerminus
DZMetalTerminus
DZGreenTerminus
DZBlueTerminus
==========
Tag: MercBeacon
Mercenary Beacon
==========
Tag: WarpingInScourgeFortress
WarpingInScourgeFortress
==========
Tag: DZTransport
DZTransport
==========
Tag: AstroTrainDepot
AstroTrainDepot
==========
Tag: RiskAnalyzer
RiskAnalyzer
==========
Tag: Capturable
RiskAnalyzer
MajorDataCenter
ArmoredGolem
GraviticBattlestation
ShieldwallBattlestation
ArtilleryGolem
RevealerBattlestation
RorqualHegira
EngineeringBattlestation
ParasiteCitadel
Thanatos
RegeneratorGolem
InterceptorCitadel
EnsnarerBattlestation
Gyrn
ImpactorCitadel
MetabolicCitadel
CursedGolem
AgravicCitadel
DrainerCitadel
Orchid
InhibitorCitadel
ArkOne
BotnetGolem
ParalysisCitadel
BellePrime
RejuvenatorCombatFactory
CombatFactory
BlackWidowGolem
ScrapperCombatFactory
GreatA’Thomek
OverloaderCombatFactory
SpireLostFrigateLance
NodorianTortoid
SolAter
SpireLostFrigateLaser
HiveGolem
BackdoorCombatFactory
SpireLostFrigateRailcannon
GrandSalvage
TransportFlagship_Base
TransportFlagship_SpecialShipBase
DysonSphereGolem
AntagonizedDysonSphereGolem
IntraGalacticCoordinator
LostEnergyReactor
AbandonedAsteroidMine
ZenithPowerGenerator
ZenithMatterConverter
IntraGalacticCoordinatorTurret
IntraGalacticCoordinatorFrigate
IntraGalacticCoordinatorStrikeCraft
GlobalCommandAugmenter
TransportFlagship_Cloaked
TransportFlagship_Cloaked_Seeded
TransportFlagship_Agile
TransportFlagship_Agile_Seeded
CloakedArkOne
TransportFlagship_Custom
TransportFlagship_StealthAlpha
TransportFlagship_StealthBravo
TransportFlagship_MobileSupport
TransportFlagship_StealthFoxtrot
TransportFlagship_StrikecraftHeavy
TransportFlagship_VelocityAlpha
TransportFlagship_StrikecraftModerate
TransportFlagship_VelocityBravo
LesserZenithPowerGenerator
TransportFlagship_FrigateHeavy
TransportFlagship_VelocityFoxtrot
TransportFlagship_GeneralHeavy
TransportFlagship_WorkhorseAlpha
TransportFlagship_Starter
TransportFlagship_WorkhorseBravo
AgileCursedGolem
TransportFlagship_WorkhorseFoxtrot
==========
Tag: AstroTrainStation
AstroTrainStation
==========
Tag: SpireFrigate
SpireFrigate
==========
Tag: AstroTrain
AstroTrainCarrierStyle
AstroTrainTankStyle
AstroTrainWithRegularWeapons
AstroTrainCarrierStyleMedium
AstroTrainWithRegularWeaponsMedium
AstroTrainTankStyleMedium
AstroTrainWithRegularWeaponsHigh
AstroTrainCarrierStyleHigh
AstroTrainTankStyleHigh
==========
Tag: AstroTrainLow
AstroTrainCarrierStyle
AstroTrainTankStyle
AstroTrainWithRegularWeapons
==========
Tag: DZPrivateer
DZPrivateer
==========
Tag: DataCenter
DataCenter
==========
Tag: ProgressReducer
DataCenter
FortifiedDataCenter
MajorDataCenter
Coprocessor
SuperTerminal
CommunicationNode
==========
Tag: DestroyToReduceProgress
DataCenter
FortifiedDataCenter
Coprocessor
CommunicationNode
==========
Tag: MercFlagship
MercFlagship
==========
Tag: FortifiedDataCenter
FortifiedDataCenter
==========
Tag: DZHarvester
DZHarvester
==========
Tag: DZTierZeroBase
DZDregil
DZSkald
DZHertogi
DZHuskarl
==========
Tag: SpireDestroyer
SpireDestroyer
==========
Tag: WardenDistractor
MercFlagship_Distractor
==========
Tag: DireGuardian
Fenrir
Reanimator
Umbra
Shellshocker
WarspiteArtillery
Custodian
Warspite
DirePikeGuardian
DireNucleophilicGuardian
DireGrenadeLauncherGuardian
DireVampireGuardian
DireTritiumSniperGuardian
DireGravityGuardian
DireTeslaGuardian
DireStealthGuardian
DireConcussionGuardian
DireMLRSGuardian
DireTemperamentalGuardian
DireTantrumingGuardian
DireFragmentingGuardian
DirePlasmaGuardian
DireForcefieldGuardian
DireHeavyBeamGuardian
DireParalysisGuardian
DireShredderGuardian
DireTethuidaGuardian
==========
Tag: Fenrir
Fenrir
==========
Tag: MajorDataCenter
MajorDataCenter
==========
Tag: HoldToReduceProgressLoseToRaiseProgress
MajorDataCenter
==========
Tag: GeneratesBonusHunterShips
MajorDataCenter
NanobotCenter_Hive
NanobotCenter
MarauderOutpost
ScourgeSpawner
==========
Tag: Coprocessor
Coprocessor
==========
Tag: SuperTerminal
SuperTerminal
==========
Tag: HackToReduceProgress
SuperTerminal
==========
Tag: CivilWarTrigger
CommunicationNode
==========
Tag: SpireCruiser
SpireCruiser
==========
Tag: IonCannon
IonCannon
==========
Tag: NormalPlanetNastyPick
IonCannon
PlasmaEye
OrbitalMassDriver
TroopAccelerator
BlackHoleMachine
IonEye
AIFortress
RaidEngine
AlarmPost
Magnifier
==========
Tag: BigGunNastyPick
IonCannon
OrbitalMassDriver
==========
Tag: WildCardNastyPick
IonCannon
OrbitalMassDriver
TroopAccelerator
AIFortress
==========
Tag: AIZenithPurchase
IonCannon
PlasmaEye
OrbitalMassDriver
IonEye
AIFortress
AlarmPostZT
MagnifierZT
TroopAcceleratorZT
BlackHoleMachineZT
RaidEngineZT
==========
Tag: IsPossibleSabotageTarget
IonCannon
PlasmaEye
OrbitalMassDriver
TroopAccelerator
BlackHoleMachine
IonEye
AIFortress
RaidEngine
AlarmPost
Magnifier
WormholeBorer
AISpireFortress
ScourgeThoraxianFortress
ScourgeSpireFortress
ScourgeBurlustFortress
ScourgeEvuckFortress
ScourgeNeinzulFortress
ScourgePeltianFortress
AlarmPostZT
MagnifierZT
TroopAcceleratorZT
BlackHoleMachineZT
RaidEngineZT
==========
Tag: SpireBattleship
SpireBattleship
==========
Tag: Eye
PlasmaEye
IonEye
==========
Tag: PlasmaEye
PlasmaEye
==========
Tag: EyeNastyPick
PlasmaEye
IonEye
==========
Tag: Reanimator
Reanimator
==========
Tag: NanobotCenter
NanobotCenter_Hive
NanobotCenter
NanobotCenter_Hacked_Hive
==========
Tag: NanobotHive
NanobotCenter_Hive
==========
Tag: DZTierOneBase
DZHeisir
DZDreng
==========
Tag: OrbitalMassDriver
OrbitalMassDriver
==========
Tag: AlertedEye
PlasmaAlertedEye
IonAlertedEye
==========
Tag: PlasmaAlertedEye
PlasmaAlertedEye
==========
Tag: SpireDreadnought
SpireDreadnought
==========
Tag: Umbra
Umbra
==========
Tag: WarpingInNanobotCenter
WarpingInNanobotCenter
==========
Tag: TroopAccelerator
TroopAccelerator
TroopAcceleratorZT
==========
Tag: SupportStructureNastyPick
TroopAccelerator
BlackHoleMachine
RaidEngine
AlarmPost
Magnifier
==========
Tag: TurtleSpecialSpawn
TroopAccelerator
==========
Tag: SpireCity
SpireCityHub
SpireGalacticCapitol
==========
Tag: Shellshocker
Shellshocker
==========
Tag: WarspiteArtillery
WarspiteArtillery
==========
Tag: BlackHoleMachine
BlackHoleMachine
BlackHoleMachineZT
==========
Tag: OneWayDoormasterSpecialSpawn
BlackHoleMachine
==========
Tag: MarkBasedNanocaustShip
Mutation
Anomaly
Deviant
==========
Tag: Custodian
Custodian
==========
Tag: IonEye
IonEye
==========
Tag: Warspite
Warspite
==========
Tag: DistributionNode
DistributionNode
==========
Tag: DirectBuilder
GraviticBattlestation
ShieldwallBattlestation
RevealerBattlestation
EngineeringBattlestation
ParasiteCitadel
InterceptorCitadel
EnsnarerBattlestation
ImpactorCitadel
MetabolicCitadel
AgravicCitadel
DrainerCitadel
InhibitorCitadel
ParalysisCitadel
HumanHomeCommandStation
HumanHomeCommandStationCore
EconomicCommandStation
LogisticalCommandStation
MilitaryCommandStation
==========
Tag: IonAlertedEye
IonAlertedEye
==========
Tag: AIGolem
AIArmoredGolem
AIArtilleryGolem
AIRegeneratorGolem
AICursedGolem
AIBotnetGolem
AIBlackWidowGolem
AIHiveGolem
==========
Tag: ExoLeader
AIArmoredGolem
AIArtilleryGolem
AIRegeneratorGolem
AICursedGolem
AIBotnetGolem
AIBlackWidowGolem
AIHiveGolem
DirePikeGuardian
DireNucleophilicGuardian
DireGrenadeLauncherGuardian
DireVampireGuardian
DireTritiumSniperGuardian
DireGravityGuardian
DireTeslaGuardian
DireStealthGuardian
DireConcussionGuardian
DireMLRSGuardian
AIHunterKiller
DirePlasmaGuardian
DireForcefieldGuardian
DireHeavyBeamGuardian
DireParalysisGuardian
DireShredderGuardian
DireTethuidaGuardian
==========
Tag: SpireArchive
SpireArchive
==========
Tag: Fortress
AIFortress
==========
Tag: AIFortress
AIFortress
==========
Tag: RaidEngine
RaidEngine
RaidEngineZT
==========
Tag: ScaryNanobot
Aberration
Abomination
Obscenity
==========
Tag: ScaryNanobotBasic
Aberration
Abomination
==========
Tag: AlarmPost
AlarmPost
AlarmPostZT
==========
Tag: WarHarvester
WarHarvester
==========
Tag: HighHRFSpawn
WarHarvester
WarSieger
HRFAssaultFrigate
HRFGrenadeLauncherGuardian
HRFNucleophilicGuardian
==========
Tag: DZTierTwoBase
DZJarl
DZMerkismathr
==========
Tag: WarpingInGuardPost
WarpingInGuardPost
==========
Tag: WarSieger
WarSieger
==========
Tag: AIReclaimer
Usurper
==========
Tag: AutomatedConstructionBot
AutomatedConstructionBot
==========
Tag: SpireCityBuildMenu
SpireShardReactor
SpireShipyard
SpireEngineeringCenter
SpireFrigateNeuralNet
SpireDestroyerNeuralNet
SpireGreatShieldEmitter
SpireLesserSpyCradle
SpireGreaterSpyCradle
SpirePlasmaDriver
LesserSpireFortress
GreaterSpireFortress
SpireButtress
SpireMiningFacility
SpireTransceiver
SpireLInterdictorNeuralNet
SpireInterdictorNeuralNet
SpireRailFrigateNeuralNet
SpireRailDestroyerNeuralNet
SpireRiotCruiserNeuralNet
==========
Tag: Automated Construction Swarm
MiniAutomatedConstructionBot
==========
Tag: ExtragalacticWar
ExtragalacticMaugrim
ExtragalacticPoltergeist
ExtragalacticPhoenix
ExtragalacticAIHunterSeeker
ExtragalacticWendigo
ExtragalacticWyrm
ExtragalacticChimeraArtillery
ExtragalacticAIHunterAnnihilator
ExtragalacticJackalope
ExtragalacticThunderbird
ExtragalacticMothership
ExtragalacticPlanetCracker
ExtragalacticFlenser
==========
Tag: ExtragalacticWarTier1
ExtragalacticMaugrim
ExtragalacticPoltergeist
ExtragalacticPhoenix
ExtragalacticAIHunterSeeker
==========
Tag: Magnifier
Magnifier
MagnifierZT
==========
Tag: Engineer
Engineer
==========
Tag: DZPirate
DZCoerl
==========
Tag: DZTierThreeBase
DZEinherjar
DZUlfsark
==========
Tag: LobarStrikecraft
Vanguard
HeavyFusionBomber
==========
Tag: DZDefensiveStructure
DZTrelleborg
DZAtgeir
DZSkeggox
DZIngelrii
==========
Tag: ExtragalacticWarTier2
ExtragalacticWendigo
ExtragalacticWyrm
ExtragalacticChimeraArtillery
==========
Tag: MinorFactionBeacon
MinorFactionBeacon
==========
Tag: EnergyCollector
EnergyCollector
==========
Tag: MedHRFSpawn
NucleophilicGuardian
ConcussionGuardian
FortifiedTeslaGuardian
==========
Tag: Devourer
DevourerGolem
==========
Tag: DysonSphere
DysonSphereGolem
==========
Tag: HackForShipType
DysonSphereGolem
DarkSpireVengeanceGenerator
AdvancedResearchStation
FleetResearchStation
==========
Tag: DarkSpire
DarkSpireVengeanceGenerator
DarkSpireVengeanceGeneratorLocus
DarkSpireVengeanceGeneratorVulnerable
==========
Tag: VengeanceGeneratorNormalSpawn
DarkSpireVengeanceGenerator
==========
Tag: VengeanceGenerator
DarkSpireVengeanceGenerator
DarkSpireVengeanceGeneratorVulnerable
==========
Tag: MobileWormholeBorer
MobileWormholeBorer
==========
Tag: ZenithTrader
ZenithTrader
==========
Tag: VengeanceGeneratorLocus
DarkSpireVengeanceGeneratorLocus
==========
Tag: AntagonizedDysonSphere
AntagonizedDysonSphereGolem
==========
Tag: WormholeBorer
WormholeBorer
==========
Tag: RavenousShadow
RavenousShadow
==========
Tag: DarkSpireWard
DarkSpireWard
==========
Tag: PlayerDysonAntagonizer
PlayerDysonAntagonizer
==========
Tag: DysonAntagonizer
PlayerDysonAntagonizer
DysonAntagonizer
==========
Tag: DisabledNomadNexus
DisabledNomadPlanetNexus
==========
Tag: WeakDarkSpireSpawn
DarkSpireWraith
DarkSpirePhantom
==========
Tag: DarkSpireHackable
DarkSpireWraith
DarkSpirePhantom
==========
Tag: AIDragon
AIDragon
==========
Tag: WarpingInDysonAntagonizer
WarpingInDysonAntagonizer
==========
Tag: ExtragalacticWarTier3
ExtragalacticAIHunterAnnihilator
ExtragalacticJackalope
ExtragalacticThunderbird
==========
Tag: DysonTierZero
DysonSentinel
DysonDefender
==========
Tag: ZenithArchitravePortal
ZenithArchitravePortal
==========
Tag: ZenithArchitraveSpawner
ZenithArchitravePortal
ZenithArchitraveSpawner
==========
Tag: MacrophageHarvester
SpireMacrophageHarvester
MacrophageHarvester
==========
Tag: SpireMacrophageHarvester
SpireMacrophageHarvester
==========
Tag: MediumDarkSpireSpawn
DarkSpireSpecter
==========
Tag: XenophonStrikecraft
MLRSCorvette
Porcupine
==========
Tag: StrongDarkSpireSpawn
DarkSpireEidolon
==========
Tag: MacrophageEnragedHarvester
SpireMacrophageEnragedHarvester
MacrophageEnragedHarvester
==========
Tag: SpireMacrophageEnragedHarvester
SpireMacrophageEnragedHarvester
==========
Tag: DysonTierOne
DysonBulwark
==========
Tag: InvulnerabilityGranter
SpireButtress
ThoraxianWarrior
ArchitraveStratopedon
ArchitraveCastra
ArchitraveStativa
ArchitraveNavalia
ArchitravePhrourion
==========
Tag: IntraGalacticCoordinator
IntraGalacticCoordinator
==========
Tag: SpireMacrophageTelium
SpireTelium
==========
Tag: DysonTierTwo
DysonBastion
==========
Tag: WarpGate
WarpGate
==========
Tag: Mothership
ExtragalacticMothership
ExtragalacticFlenser
==========
Tag: ExtragalacticWarTier4
ExtragalacticMothership
ExtragalacticPlanetCracker
==========
Tag: MarauderRaider
Marauder_Spire_Raider
Marauder_Raider
Marauder_Drone_Raider
==========
Tag: InstigatorBase
InstigatorBase
==========
Tag: ArchitraveWarpPoint
ZenithArchitraveWarpPoint
==========
Tag: MinorCapturable
LostEnergyReactor
AbandonedAsteroidMine
==========
Tag: LostEnergyReactor
LostEnergyReactor
==========
Tag: PlanetCracker
ExtragalacticPlanetCracker
==========
Tag: ExogalacticWormhole
ExogalacticWormhole
==========
Tag: AbandonedAsteroidMine
AbandonedAsteroidMine
==========
Tag: ExtragalacticWarTier5
ExtragalacticFlenser
==========
Tag: MasterController
AIOverlordPhase1
==========
Tag: MasterControllerStage1
AIOverlordPhase1
==========
Tag: ZenithArchitrave
ArchitraveCestus
ArchitraveDimachaerus
ArchitraveParmularius
ArchitraveEques
ArchitraveRetiarius
ArchitraveRetiariusWithSpire
ArchitraveEssedarius
ArchitraveScutarius
ArchitraveScutariusSpire
ArchitraveHoplomachus
ArchitraveHoplomachusSpire
ArchitraveThraex
ArchitraveMurmillo
ArchitraveMurmilloSpire
ArchitraveBustuarius
ArchitravePioneer
ArchitraveTriari
ArchitraveHastati
ArchitravePrincipes
==========
Tag: ArchitraveTierZero
ArchitraveCestus
ArchitraveDimachaerus
==========
Tag: MasterControllerStage2
AIOverlordPhase2
==========
Tag: ScourgeNeophyte
Neophyte
==========
Tag: MovesBackAfterBeingNorrised
ForcefieldGenerator
==========
Tag: ScourgeBuilder
Builder
==========
Tag: AICommandStationOriginal
AICommandStation
==========
Tag: ScourgeWarrior
Warrior
BurlustWarrior
EvuckWarrior
NeinzulWarrior
PeltianWarrior
ThoraxianWarrior
SpireWarrior
ScourgeSpireBurlustWarrior
BurlustEvuckWarrior
SpireNeinzulWarrior
NeinzulBurlustWarrior
SpireThoraxianWarrior
ThoraxianNeinzulWarrior
SpirePeltianWarrior
PeltianThoraxianWarrior
SpireEvuckWarrior
EvuckPeltianWarrior
==========
Tag: ScourgeWarriorBase
Warrior
==========
Tag: AICommandStationReconquest
AICommandStationReconquest
==========
Tag: AISpireCitadel
AISpireCitadel
==========
Tag: ArchitraveTierOne
ArchitraveParmularius
ArchitraveEques
ArchitraveRetiarius
==========
Tag: ScourgeBurlust
BurlustWarrior
==========
Tag: ScourgeEvuck
EvuckWarrior
==========
Tag: AISpireResearchLab
AISpireResearchLab
==========
Tag: HumanCryogenicPod
HumanCryogenicPod
==========
Tag: ScourgeNeinzul
NeinzulWarrior
==========
Tag: SpireRelic
SpireRelic
SpireRelicA3
SpireRelicA4
SpireRelicB1
SpireRelicB2
SpireRelicB3
SpireRelicA2
SpireRelicB4
==========
Tag: SphericalSpireRelic
SpireRelic
SpireRelicA3
SpireRelicA4
SpireRelicA2
==========
Tag: ZenithPowerGenerator
ZenithPowerGenerator
==========
Tag: ScourgePeltian
PeltianWarrior
==========
Tag: SpireRelicTrain
SpireRelicTrain
==========
Tag: MarauderOutpost
MarauderOutpost
==========
Tag: ScourgeThoraxian
ThoraxianWarrior
==========
Tag: HydraMercFlagship
HydraMercFlagship
==========
Tag: Hydral Hobbyist
HydraMercFlagship
HydraMercFlagshipMajorHead
HydraMercFlagshipHead
HydraMercFlagshipMinorHead
==========
Tag: SpireDebris
SpireDebris
SpireDebris3
SpireDebris2
==========
Tag: ZenithMatterConverter
ZenithMatterConverter
==========
Tag: WarpingInMarauderOutpost
WarpingInMarauderOutpost
==========
Tag: ScourgeSpire
SpireWarrior
==========
Tag: AISpireFortress
AISpireFortress
==========
Tag: MercDistractorCarrier
MercDistractorCarrier
==========
Tag: ScourgeSpireBurlust
ScourgeSpireBurlustWarrior
==========
Tag: IntraGalacticCoordinatorTurret
IntraGalacticCoordinatorTurret
==========
Tag: ScourgeBurlustEvuck
BurlustEvuckWarrior
==========
Tag: MacrophageSpore
Spore
==========
Tag: ArchitraveTierOneWithSpire
ArchitraveRetiariusWithSpire
==========
Tag: IntraGalacticCoordinatorFrigate
IntraGalacticCoordinatorFrigate
==========
Tag: ScourgeSpireNeinzul
SpireNeinzulWarrior
==========
Tag: MacrophageTeliumUnderConstruction
TeliumUnderConstruction
==========
Tag: ScourgeNeinzulBurlust
NeinzulBurlustWarrior
==========
Tag: IntraGalacticCoordinatorStrikeCraft
IntraGalacticCoordinatorStrikeCraft
==========
Tag: ArchitraveTierTwo
ArchitraveEssedarius
ArchitraveScutarius
ArchitraveHoplomachus
ArchitraveMurmillo
==========
Tag: MacrophageTelium
Telium
==========
Tag: ScourgeSpireThoraxian
SpireThoraxianWarrior
==========
Tag: GlobalCommandAugmenter
GlobalCommandAugmenter
==========
Tag: ScourgeThoraxianNeinzul
ThoraxianNeinzulWarrior
==========
Tag: RegularMacrophageHarvester
MacrophageHarvester
==========
Tag: ScourgeSpirePeltian
SpirePeltianWarrior
==========
Tag: ARS
AdvancedResearchStation
==========
Tag: ScourgePeltianThoraxian
PeltianThoraxianWarrior
==========
Tag: HunterKiller
AIHunterKiller
==========
Tag: RegularMacrophageEnragedHarvester
MacrophageEnragedHarvester
==========
Tag: FRS
FleetResearchStation
==========
Tag: ArchitraveTierTwoWithSpire
ArchitraveScutariusSpire
ArchitraveHoplomachusSpire
ArchitraveMurmilloSpire
==========
Tag: ScourgeSpireEvuck
SpireEvuckWarrior
==========
Tag: ScourgeEvuckPeltian
EvuckPeltianWarrior
==========
Tag: FleetCapacity
FleetCapacityExtender
==========
Tag: HackForShipTypeCapIncrease
FleetCapacityExtender
==========
Tag: MarauderRaiderBasic
Marauder_Raider
Marauder_Drone_Raider
==========
Tag: ScourgeSpawner
ScourgeSpawner
==========
Tag: TechVault
TechnologyVault
==========
Tag: GrantsTech
TechnologyVault
==========
Tag: ScourgeFortress
ScourgeThoraxianFortress
ScourgeSpireFortress
ScourgeBurlustFortress
ScourgeEvuckFortress
ScourgeNeinzulFortress
ScourgePeltianFortress
==========
Tag: ScourgeThoraxianFortress
ScourgeThoraxianFortress
==========
Tag: MetalGenerator
MetalGenerator
==========
Tag: WarpingInScourgeSpawner
WarpingInScourgeSpawner
==========
Tag: ScourgeSpireFortress
ScourgeSpireFortress
==========
Tag: ArchitraveTierThree
ArchitraveThraex
ArchitraveBustuarius
==========
Tag: ScourgeArmory
ScourgeArmory
==========
Tag: WarpingInDZEpistyle
WarpingInDZEpistyle
==========
Tag: WarpingInScourgeArmory
WarpingInScourgeArmory
==========
Tag: ArchitraveDefensiveStructure
ArchitraveStratopedon
ArchitraveCastra
ArchitraveStativa
ArchitraveNavalia
ArchitravePhrourion
==========
Tag: DZConstructor
DZConstructor
==========
Tag: ScourgeSubjugator
Subjugator
==========
Tag: ScourgeNemesis
Nemesis
==========
Tag: WatchmanFrigate
WatchmanFrigate
==========
Tag: WarpingInScourgeNemesis
WarpingInNemesis
==========
Tag: ArchitravePioneer
ArchitravePioneer
==========
Tag: ScourgeBurlustFortress
ScourgeBurlustFortress
==========
Tag: ArchitraveWarGolem
ArchitraveTriari
ArchitraveHastati
ArchitravePrincipes
==========
Tag: ScourgeEvuckFortress
ScourgeEvuckFortress
==========
Tag: ArchitraveUtilityStructure
ZATractorArray
ZAFocusedGravityGenerator
==========
Tag: ScourgeNeinzulFortress
ScourgeNeinzulFortress
==========
Tag: ScourgePeltianFortress
ScourgePeltianFortress
==========
Tag: WarpingInArchitraveDefensiveStructure
WarpingInArchitraveDefensiveStructure
==========
Tag: WarpingInArchitraveUtilityStructure
WarpingInArchitraveUtilityStructure
==========
Tag: ZenithMinerProbe
ZenithMinerProbe
==========
Tag: ZenithMinerTierZero
ZenithMinerTierZero
==========
Tag: SpireRailFrigate
SpireRailFrigate
==========
Tag: StationaryConstructor
Factory
==========
Tag: Factory
Factory
==========
Tag: SpireRailDestroyer
SpireRailDestroyer
==========
Tag: DZTerminus
DZTerminus
DZRedTerminus
DZWhiteTerminus
DZBlackTerminus
DZMetalTerminus
DZGreenTerminus
DZBlueTerminus
==========
Tag: BaseDZTerminus
DZTerminus
==========
Tag: HomeHumanSettlement
HomeHumanSettlement
==========
Tag: SpireRiotCruiser
SpireRiotCruiser
==========
Tag: WarpingInDZTerminus
WarpingInDZTerminus
==========
Tag: SpireLInterdictor
SpireLInterdictor
==========
Tag: DZEpistyle
DZEpistyle
==========
Tag: SpireInterdictor
SpireInterdictor
==========
Tag: SpireSuperDreadnought
ImperialSpireSuperDreadnought
==========
Tag: AstroTrainMed
AstroTrainCarrierStyleMedium
AstroTrainWithRegularWeaponsMedium
AstroTrainTankStyleMedium
==========
Tag: IncludeInFRS
EncirclingSpider
IrefulMLRSCorvette
IncitingParasite
TurboRaider
UltimaFusionBomber
TutelarPulsarTank
==========
Tag: AutomatedVampireClaw
AutomatedVampireClaw
==========
Tag: MarauderMark3TurretOutpost
MarauderGrenadeLauncherTurret
MarauderNucleophilicTurret
MarauderPikeTurret
==========
Tag: LowHRFSpawn
HRFPikeCorvette
HRFVanguard
HRFRaider
HRFPulsarTank
==========
Tag: AstroTrainHigh
AstroTrainWithRegularWeaponsHigh
AstroTrainCarrierStyleHigh
AstroTrainTankStyleHigh
==========
Tag: AutomatedMetabolizingGangsaw
AutomatedMetabolizingGangsaw
==========
Tag: AstroTrainDepotWardenFleet
AstroTrainDepotVanguard
==========
Tag: RoyalDireGuardian
RoyalDireTeslaGuardian
RoyalDireConcussionGuardian
RoyalDirePlasmaGuardian
RoyalDireForcefieldGuardian
RoyalDireHeavyBeamGuardian
RoyalDireParalysisGuardian
RoyalDireShredderGuardian
RoyalDireTethuidaGuardian
RoyalDirePikeGuardian
RoyalDireNucleophilicGuardian
RoyalDireGrenadeLauncherGuardian
RoyalDireVampireGuardian
RoyalDireTritiumSniperGuardian
RoyalDireGravityGuardian
RoyalDireStealthGuardian
RoyalDireMLRSGuardian
RoyalDireTemperamentalGuardian
RoyalDireTantrumingGuardian
RoyalDireFragmentingGuardian
==========
Tag: ArnaudStrikecraft
Paralyser
Aggressor
==========
Tag: VengeanceGeneratorVulnerable
DarkSpireVengeanceGeneratorVulnerable
==========
Tag: MarauderMark1TurretOutpost
MarauderConcussionTurret
==========
Tag: MercTurret
MercConcussionTurret
MercSpiderTurret
==========
Tag: StartingForcefieldGenerator
StartingForcefieldGenerator
==========
Tag: MarauderMark2TurretOutpost
MarauderMLRSTurret
==========
Tag: SuperFortress
AISuperFortress
==========
Tag: AISuperFortress
AISuperFortress
==========
Tag: Beacon
NanocaustBeacon
DevourerBeacon
MarauderBeacon
HRFBeacon
ScourgeBeacon
SpireBeacon
Dark Zenith Beacon
==========
Tag: NanocaustBeacon
NanocaustBeacon
==========
Tag: DevourerBeacon
DevourerBeacon
==========
Tag: InstigatorSpawn
InstigatorConcussionGuardian
InstigatorTeslaGuardian
InstigatorGrenadeLauncherGuardian
InstigatorPlasmaGuardian
InstigatorPikeGuardian
==========
Tag: MarauderBeacon
MarauderBeacon
==========
Tag: HRFBeacon
HRFBeacon
==========
Tag: AutomatedSniper
AutomatedSniper
==========
Tag: AstroTrainDepotHunterFleet
AstroTrainRaider
==========
Tag: DefensiveAssaultFrigate
DefensiveAssaultFrigate
==========
Tag: HerewardStrikecraft
Velociraptor
==========
Tag: SabreCompanyPulsarTank
SabreCompanyPulsarTank
==========
Tag: AutomatedSentinelGunboat
AutomatedSentinelGunboat
==========
Tag: AnvilSecuritiesForcefieldFrigate
AnvilSecuritiesForcefieldFrigate
==========
Tag: AnvilSecuritiesSpider
AnvilSecuritiesSpider
==========
Tag: HackedMercBeacon
HackedMercBeacon
==========
Tag: NanobotHackedHive
NanobotCenter_Hacked_Hive
==========
Tag: ScourgeBeacon
ScourgeBeacon
==========
Tag: ImperialSpireFrigate
ImperialSpireFrigate
==========
Tag: AngularSpireRelic
SpireRelicB1
SpireRelicB2
SpireRelicB3
SpireRelicB4
==========
Tag: ImperialSpireDestroyer
ImperialSpireDestroyer
==========
Tag: ImperialSpireCruiser
ImperialSpireCruiser
==========
Tag: ImperialSpireBattleship
ImperialSpireBattleship
==========
Tag: SpireBeacon
SpireBeacon
==========
Tag: ImperialSpireDreadnought
ImperialSpireDreadnought
==========
Tag: DZRedTerminus
DZRedTerminus
==========
Tag: DZWhiteTerminus
DZWhiteTerminus
==========
Tag: DZTierZeroEnraged
DZHertogiEnraged
DZHuskarlEnraged
==========
Tag: DZTierOneEnraged
DZHeisirEnraged
DZDrengEnraged
==========
Tag: DZTierOneStout
DZDrengStout
==========
Tag: InitialInvasionReinforcements
DZDrengStout
DZHertogiStout
DZHeisirSinister
DZSkaldSpirited
DZDregilFortified
DZHuskarlSinister
DZHeisirSpirted
==========
Tag: DZTierTwoEnraged
DZJarlEnraged
DZMerkismathrEnraged
==========
Tag: DZTierThreeEnraged
DZEinherjarEnraged
DZUlfsarkEnraged
==========
Tag: NomadNexus
NomadPlanetNexus
==========
Tag: DZBlackTerminus
DZBlackTerminus
==========
Tag: DZTierZeroStout
DZHertogiStout
==========
Tag: DZTierOneSinister
DZHeisirSinister
==========
Tag: 
DZHeisirSinister
==========
Tag: DZMetalTerminus
DZMetalTerminus
==========
Tag: DZGreenTerminus
DZGreenTerminus
==========
Tag: DZTierThreeSinister
DZEinherjarSinister
==========
Tag: DZTierZeroSpirited
DZSkaldSpirited
==========
Tag: DZTierZeroFortified
DZDregilFortified
==========
Tag: DZTierThreeFortified
DZUlfsarkFortified
==========
Tag: DZTierThreeSpirited
DZEinherjarSpirted
DZEinherjarFortified
==========
Tag: DZTierTwoSinister
DZHertogiSinister
==========
Tag: DZTierZeroSinister
DZHuskarlSinister
==========
Tag: DZTierTwoFortified
DZJarlFortified
==========
Tag: DZTierOneSpirited
DZHeisirSpirted
==========
Tag: DZBlueTerminus
DZBlueTerminus
==========
Tag: DZTierOneFortified
DZDrengFortified
==========
Tag: DZTierTwoStout
DZJarlStout
==========
Tag: DZTierTwoSpirited
DZHertogiSpirted
==========
Tag: DarkZenithBeacon
Dark Zenith Beacon
==========
Tag: DZTierThreeStout
DZUlfsarkStout
==========
EntityTagDataDumps.txt (79,084 bytes)

x4000Bughunter

Jul 1, 2020 1:33 pm

administrator   ~0057487

Got it!

* In addition to doing validation on xml nodes for unrequested attributes, the game now also looks for unrequested child nodes.
** This helps us to identify xml that is valid structurally but malformed in how it is logically supposed to exist.
** In this particular case, we had already discovered that ArchitraveCrupellarii and ArchitraveCrupellariiSpire were not being read in properly because of an end-entity tag in the wrong spot for ArchitraveCestus.
*** Previously this sort of error was just silent and it was hard to find unless the units misbehaved or were clearly missing. Now it errors on initial load of the game, to make it clear that these need to be fixed.
** Happily, nothing else was incorrect in terms of child nodes in the xml, so all is well now.


Thanks for the report.

Issue History

Date Modified Username Field Change
Jun 30, 2020 9:16 pm BadgerBadger New Issue
Jun 30, 2020 9:16 pm BadgerBadger Status new => assigned
Jun 30, 2020 9:16 pm BadgerBadger Assigned To => x4000Bughunter
Jun 30, 2020 9:31 pm BadgerBadger Note Added: 0057476
Jul 1, 2020 10:57 am x4000Bughunter Note Added: 0057484
Jul 1, 2020 11:59 am x4000Bughunter File Added: EntityTagDataDumps.txt
Jul 1, 2020 11:59 am x4000Bughunter Note Added: 0057485
Jul 1, 2020 1:33 pm x4000Bughunter Status assigned => resolved
Jul 1, 2020 1:33 pm x4000Bughunter Resolution open => fixed
Jul 1, 2020 1:33 pm x4000Bughunter Fixed in Version => Beta 2.089 Fireteam Declarations Of Victory Before Showing Up
Jul 1, 2020 1:33 pm x4000Bughunter Note Added: 0057487
Jul 1, 2020 1:34 pm x4000Bughunter Relationship added related to 0023339